#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x8f2c3278, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x498c059e, "");
SYMBOL_CRC(__bcma_driver_register, 0xb4ea247f, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xaaf40fb2, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x9b891279, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x54ead924, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x8966994a, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x418015c3, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x4e521009, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xf69320c8, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x4c118621, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x3748fc78, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xfd7c02f9, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xe2b16659, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x9e56f762, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xc5c558c9, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb0208a2b, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x8e6449c2, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xa0ab526d, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x46c411b8, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xd5df0829, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x56c98250, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xa0261808, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x158f3040, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xa8bc2c83, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x70343b1e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbc9b2acd, "pci_enable_device" },
	{ 0xee3cc291, "dev_set_name" },
	{ 0x1729b1d9, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ad7045e, "of_address_to_resource" },
	{ 0x37a26975, "device_unregister" },
	{ 0xf7b25bb1, "of_platform_default_populate" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7d9a7216, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x9e418551, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xa950f8fc, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x90d1023c, "get_device" },
	{ 0x8a7fc5a3, "of_irq_parse_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0x7943c8b3, "pci_unregister_driver" },
	{ 0xbb49b97, "pci_read_config_dword" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe8e2f4d2, "of_irq_parse_raw" },
	{ 0x6bc4f0f4, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x99dbcb64, "put_device" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xec3f01b4, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x4d51a88e, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4ace64ff, "platform_device_unregister" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3ee3327e, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x877237a0, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcbada82e, "pci_set_master" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e5e7e62, "platform_device_register_full" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe5b9aae1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4934ae2c, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdd2d2ad7, "pcie_set_readrq" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xe6985ffb, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x31d5f26f, "of_dma_configure_id" },
	{ 0xf3e4a5ce, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f5a9116, "pci_write_config_dword" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xcf475f3b, "bus_register" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "051D7BBE22F3855C26086A1");
