#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x84d4cb8b, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0xfcc9bacf, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xc68d01a2, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x4d78f09c, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x0c209a94, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xe72c3d25, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x1a5f5702, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x7d7a0ae9, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xcc79da6d, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xc2748974, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x96f989e4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x7f43d90f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xfbd47ab7, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xc62b79b9, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x9940d34a, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xcb7c8df3, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xac815e33, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x300ea251, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x690d288a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x72b67157, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x988f919b, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x2a1e422e, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xb70788da, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x372dbb74, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x4298a2b6, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x2338f486, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x88678a47, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x458d6071, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x77948e82, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xd11ebbb5, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xae5d534a, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xc19437af, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xda42ada9, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xac424c2e, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x837b1c93, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x6ca4dac0, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x304eb7eb, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x60edffd2, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xed993c86, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x846a234e, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x0922b803, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xae500720, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x8565d5f5, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xeb3bfdc4, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x554cdbc8, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xcdeb284d, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x76a9fce9, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xe499f735, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x22b3ca27, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x9625042c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x5e95cb06, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x38edff31, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xd5050cb3, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xf3336161, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x403e162e, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x5765ab14, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xb0e6b90e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xd74b641b, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x377ff65d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x3351e831, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xdf6e7dbd, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x331faef1, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xb93b5878, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xe7c4afe9, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x31c2f21e, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x7acdee9b, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x8f44e3ec, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x4bbae3c8, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xd74b05a9, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xde181f1c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x8e8f22e4, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x916b2213, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xc10665f3, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x95973f36, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x59a90197, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x81a99e5a, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x338b963b, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x5f9405b2, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x0fc4ceb2, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xc6a537dd, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x25fec4f0, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x6aefa35d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x33b7e343, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x6fd6a2ad, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x499f37c9, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x47f64e7c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x1c3f3547, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xdfae7624, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xfce865a3, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x37d77f7b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xfaae729c, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xc25a4f26, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x6e7a0858, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xce10c359, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x07dd56e6, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x7c19f6b9, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0xb6a26b52, "");
SYMBOL_CRC(drm_flip_work_queue, 0x27d1f4bf, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe5b6a86c, "");
SYMBOL_CRC(drm_flip_work_init, 0x6c6e4f6a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xe614fb2b, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xd2ac889d, "");
SYMBOL_CRC(drm_fb_swab, 0x68955a5f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x44bef60e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x44a33fa0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x9ca1c5f6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x2e3c932b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xf21673a6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xfd84346f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x936af540, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x488b7f1e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xaf85cce4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x7b914714, "");
SYMBOL_CRC(drm_fb_blit, 0x885100e0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x48c4895c, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x152e5d14, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x647cc941, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xa56ae5b1, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xc0548151, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x0e0729c0, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x4447f16f, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xd5150e83, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xbcb4d7b8, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x4490f856, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x975064da, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xf58e19ca, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x0a5f8759, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x97e19933, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x873a72e6, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x7dd8ceed, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x4e54125a, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xda324fd9, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x438ba4dc, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xf1b87f11, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xff8e1044, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xf2125410, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x036a3c80, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xe67fc5a5, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xbff803b3, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x0988f369, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xb1518a39, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x2906760a, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xc2c7cabd, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x1e7b8991, "");
SYMBOL_CRC(drm_crtc_init, 0xa054edd2, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x12719944, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xea64d622, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xaa8ce533, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x4b6b2b9d, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xbe1f0069, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0x28f81230, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x4bd57ef0, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xce4ec8a5, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x7158c254, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x2516afd1, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x8be188ee, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xbb81bbec, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xe8149832, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x2be13b1c, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x9f90371b, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x8ce07394, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x532c7f88, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xf742e10e, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0xdd4faa84, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xbab378a8, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xe7a387aa, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x32b19bac, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xd64fa6a8, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x7e1c46e5, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xae57fc9e, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xef510495, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x03489733, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xab5b0f4a, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xc6c45ab3, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x285bcea9, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xd8d650ea, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x2eb9c31c, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x681fce05, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xc8c7c516, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x1673145b, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xc352a88d, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xbf9ea481, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xcca69336, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x926b83f3, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x4266e569, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x3aa71739, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x65af919f, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x0f3d54fb, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x70d25d53, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x2bbf2a31, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x0df847c6, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xb52e6653, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x5c6a62cf, "");
SYMBOL_CRC(drm_fb_helper_init, 0x77066e5e, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x5aaa1bc1, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x60ead80b, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x4382431d, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x72f95dc7, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xedb2790b, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x8ad5ec89, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x87648c7e, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xde0353e6, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xfaccf621, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xe534f124, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x4aa195ea, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x1d68065c, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x9dfc1ef9, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xb8060dbd, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x6184ad9b, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xd9d7fc68, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x1ae51d0d, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x6968aa72, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xfea1963b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3f06382, "unregister_framebuffer" },
	{ 0x43242af0, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x4ad6fb83, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x6d1fe66f, "drm_client_register" },
	{ 0x294a1ce3, "drm_writeback_prepare_job" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xd1607ee6, "drm_panel_get_modes" },
	{ 0xdf376a79, "drm_gem_vmap_unlocked" },
	{ 0x2d20602c, "try_module_get" },
	{ 0xfddac37c, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x933a9ec4, "drm_bridge_add" },
	{ 0xcc4c6133, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x5cc7849f, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0xf1e26da, "drm_client_rotation" },
	{ 0xaae9c959, "drm_client_buffer_vmap" },
	{ 0x630f3cf3, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xef1df6a0, "drm_framebuffer_init" },
	{ 0x407771ef, "drm_mode_validate_driver" },
	{ 0x69033939, "drm_atomic_add_affected_planes" },
	{ 0x2d35c69a, "dma_buf_end_cpu_access" },
	{ 0xa9330475, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xe1f00418, "drm_mode_probed_add" },
	{ 0xc5f111c, "drm_atomic_add_affected_connectors" },
	{ 0xf5e1b3c4, "drm_gem_vunmap_unlocked" },
	{ 0xb8389294, "drm_bridge_hpd_enable" },
	{ 0xa74b465a, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x462b0aa, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb10e560d, "drm_client_framebuffer_delete" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x7d383345, "drm_client_framebuffer_create" },
	{ 0x6006298c, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x8a09f729, "drm_mode_object_get" },
	{ 0xc2cc21ae, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xd0cb8040, "drm_driver_legacy_fb_format" },
	{ 0xf968ee29, "drm_crtc_cleanup" },
	{ 0xfc159798, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x70005185, "fb_deferred_io_init" },
	{ 0x4fa8171d, "drm_mode_set_config_internal" },
	{ 0xa76ae341, "fb_deferred_io_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x969bfeff, "framebuffer_alloc" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xac879572, "drm_encoder_cleanup" },
	{ 0xf6e532b4, "drm_connector_unregister" },
	{ 0x65f9afb6, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3719b610, "drm_client_modeset_probe" },
	{ 0x8b1fc409, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc5518fda, "drm_plane_get_damage_clips" },
	{ 0x8aac90c5, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x29017a90, "drm_add_modes_noedid" },
	{ 0xa65d06aa, "drm_bridge_remove" },
	{ 0x24ba9a34, "drm_mode_object_put" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0xf98814a2, "drm_crtc_vblank_get" },
	{ 0xda310f43, "drm_gem_object_lookup" },
	{ 0x68ecbc51, "drm_crtc_send_vblank_event" },
	{ 0x7e441b0d, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x2e1b5eca, "fb_sys_write" },
	{ 0x8f4ced40, "drm_atomic_normalize_zpos" },
	{ 0xe418b11d, "drm_edid_connector_update" },
	{ 0xc8c13f29, "drm_sysfs_hotplug_event" },
	{ 0xad4e4dd7, "drm_bridge_hpd_disable" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x694ca7da, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa519f779, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb0f255c9, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x40d04664, "console_trylock" },
	{ 0xb0da3c11, "sys_fillrect" },
	{ 0x691b7767, "drm_connector_list_iter_end" },
	{ 0xb5461346, "drm_atomic_set_crtc_for_plane" },
	{ 0xdbd66a23, "drm_client_modeset_dpms" },
	{ 0x2e2e688f, "drm_mode_prune_invalid" },
	{ 0x950b2247, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x88519e55, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xe8c400aa, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x893f38f5, "module_put" },
	{ 0x2fbb2bdb, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x43341152, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xeac56e8d, "drm_client_init" },
	{ 0x833dde4c, "drm_crtc_wait_one_vblank" },
	{ 0x132b4833, "drm_crtc_next_vblank_start" },
	{ 0x8c086465, "__drmm_encoder_alloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x712eecf4, "drm_modeset_lock" },
	{ 0x6c3be3e0, "drm_client_modeset_commit_locked" },
	{ 0x4a9aea89, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x44e8f651, "drm_panel_disable" },
	{ 0x703972a9, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6450a118, "drm_connector_init" },
	{ 0x15fcfd03, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x26158499, "drm_writeback_cleanup_job" },
	{ 0x8a131115, "drm_modeset_lock_all_ctx" },
	{ 0x25bc5113, "i2c_unregister_device" },
	{ 0xa3212856, "drm_atomic_set_fb_for_plane" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x169bf38b, "__drm_universal_plane_alloc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd390f888, "drm_connector_init_with_ddc" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x70e48a5a, "drm_add_edid_modes" },
	{ 0xc36bf849, "drm_edid_connector_add_modes" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x680c68d3, "__devres_alloc_node" },
	{ 0xcbdf0a71, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb2a56500, "drm_crtc_commit_wait" },
	{ 0x7fd84c47, "drm_dev_has_vblank" },
	{ 0x89a5658f, "register_framebuffer" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x432148b0, "__drm_atomic_helper_disable_plane" },
	{ 0x3276dd98, "drm_connector_set_orientation_from_panel" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x654c4ba, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb21aa9aa, "drm_atomic_set_crtc_for_connector" },
	{ 0xf1852f5b, "drm_analog_tv_mode" },
	{ 0xd8a582d5, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xfbdab30a, "drm_mode_duplicate" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xef6fe593, "drm_crtc_vblank_put" },
	{ 0x82918ef8, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xc233d412, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x59d2898, "drm_plane_get_damage_clips_count" },
	{ 0x792f9dd7, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xa464361, "fb_deferred_io_mmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xd6eb40e5, "drm_atomic_state_alloc" },
	{ 0x68cd761b, "drm_client_modeset_commit" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x14674a50, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb29364f6, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x31b8a5e3, "__drm_set_edid_firmware_path" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x952d45a8, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x497682e2, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xbd4db18d, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x2e20f785, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x90ba5ae0, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x5aa2f63f, "drm_get_format_info" },
	{ 0x60b4f747, "drm_connector_cleanup" },
	{ 0x1f6822c2, "drm_universal_plane_init" },
	{ 0xb0125316, "drm_any_plane_has_format" },
	{ 0xaf54525e, "sys_copyarea" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xba4a2f75, "drm_connector_list_iter_next" },
	{ 0x1b924a92, "drm_modeset_acquire_fini" },
	{ 0x1356919c, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0xddc41ef4, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x7b0f653a, "current_work" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0x834274f5, "drm_of_find_panel_or_bridge" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9333d407, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x7d1648aa, "drm_modeset_backoff" },
	{ 0x6d3b361c, "drm_panel_prepare" },
	{ 0xa2a08737, "drm_bridge_chain_mode_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9ac73f3d, "drm_client_buffer_vunmap" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x7afa228f, "fb_sys_read" },
	{ 0x3c63897, "__drm_get_edid_firmware_path" },
	{ 0xf03eae58, "drm_atomic_get_plane_state" },
	{ 0x3d75997b, "drm_atomic_bridge_chain_check" },
	{ 0x9f9e07d1, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x343d9999, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2eeefa0f, "drm_property_blob_put" },
	{ 0x19c8e821, "drm_mode_destroy" },
	{ 0x4770dff1, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa48e6630, "drm_set_preferred_mode" },
	{ 0xddce0fd7, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xd60e4e8c, "drm_atomic_state_clear" },
	{ 0x22ac58db, "drm_mode_config_reset" },
	{ 0x954e212, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x89558a69, "drm_modeset_drop_locks" },
	{ 0x18e6b0c1, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x49bff369, "drm_atomic_bridge_chain_disable" },
	{ 0xf16c481b, "drm_mode_create_from_cmdline_mode" },
	{ 0x511278bb, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x8248e5f2, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x2a8979e0, "drm_atomic_nonblocking_commit" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x24d155ca, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xae4d9714, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdfc883b4, "drm_get_edid" },
	{ 0x9edf1338, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x5df064e1, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xfc2929c6, "drm_atomic_add_encoder_bridges" },
	{ 0x3b194572, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x35db97cf, "drm_sysfs_connector_hotplug_event" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "D13941A0564D907B7CF5D2B");
