#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x46243e82, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xa8fcc964, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x13cf38d2, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x0dafd53d, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x2e8b08ee, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x320639b6, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x1540fe21, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x7690a4c5, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xfb6f8d28, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x4fa0708a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x357ee1b6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xe1f79bb1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x01339fc9, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x8494605a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x9a2411bb, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xa4db439b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3720a2f4, "vmf_insert_pfn" },
	{ 0x27d10b8f, "ww_mutex_lock_interruptible" },
	{ 0x6e377ab5, "drm_gem_get_pages" },
	{ 0x4841c7f6, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x19051e2f, "invalidate_mapping_pages" },
	{ 0xf9ffd131, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xae92a727, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x1d24c8c, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xac4d0720, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x465da45c, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9d0ef01c, "drm_gem_object_init" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x4e0f8f8f, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe003ea1e, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf1fe978, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7980ec13, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x2bc11736, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2dab360b, "vmap" },
	{ 0x654c4ba, "drm_gem_handle_create" },
	{ 0xc233d412, "__drm_dev_dbg" },
	{ 0x223a66c, "drm_prime_pages_to_sg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2524942, "dma_buf_vunmap" },
	{ 0x47b2da9b, "shmem_truncate_range" },
	{ 0x28779e52, "drm_printf" },
	{ 0x29d26dd4, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb1b67b20, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x254407d5, "dma_unmap_sg_attrs" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x14b5ab53, "drm_gem_put_pages" },
	{ 0x43e2889, "drm_gem_private_object_fini" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x18d4bdf0, "drm_prime_gem_destroy" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
