#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xfc742961, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0xa4760089, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0xec78d34a, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x05d2e42d, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x0bc11539, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xf25b437f, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x98fcc1fa, "");
SYMBOL_CRC(mptscsih_remove, 0x023ee689, "");
SYMBOL_CRC(mptscsih_shutdown, 0xf89fa583, "");
SYMBOL_CRC(mptscsih_suspend, 0xf243b0ae, "");
SYMBOL_CRC(mptscsih_resume, 0x0c9e82c0, "");
SYMBOL_CRC(mptscsih_show_info, 0xcd6dce25, "");
SYMBOL_CRC(mptscsih_info, 0xc73910c3, "");
SYMBOL_CRC(mptscsih_qcmd, 0x61e36631, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0xb530b0fb, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x34fe6611, "");
SYMBOL_CRC(mptscsih_abort, 0xdff76ff0, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xde567805, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x625c0e05, "");
SYMBOL_CRC(mptscsih_host_reset, 0x2b9db30b, "");
SYMBOL_CRC(mptscsih_bios_param, 0xd7edf56a, "");
SYMBOL_CRC(mptscsih_io_done, 0xa2b1fa70, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0xf20ae4e6, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x39eb0f8c, "");
SYMBOL_CRC(mptscsih_event_process, 0xc6d29762, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x4a8a567c, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x3273113c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x122c3a7e, "_printk" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x41eaec92, "scsi_print_command" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x37a0cba, "kfree" },
	{ 0x88d36686, "scsi_host_put" },
	{ 0x45754deb, "mpt_detach" },
	{ 0x7f79e7ae, "scsi_block_requests" },
	{ 0x2d3ef457, "mpt_suspend" },
	{ 0xc2cd188e, "mpt_resume" },
	{ 0xf6de5567, "scsi_unblock_requests" },
	{ 0x990c56e6, "mpt_print_ioc_summary" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c91926d, "seq_printf" },
	{ 0x2fb59c7, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7dda4748, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x421a9479, "mpt_put_msg_frame" },
	{ 0x1377c139, "mpt_free_msg_frame" },
	{ 0xa8f1fbdf, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8bf78b56, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x47c248e4, "mpt_send_handshake_request" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5e4fdac8, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0xc3b67b73, "mpt_HardResetHandler" },
	{ 0x366e66, "mpt_Soft_Hard_ResetHandler" },
	{ 0x4bea66c0, "mpt_put_msg_frame_hi_pri" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa6257a2f, "complete" },
	{ 0xf8528c16, "scsi_change_queue_depth" },
	{ 0xf29bf09b, "blk_queue_dma_alignment" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf6a87d35, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5caf3c2f, "mpt_raid_phys_disk_pg1" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb89a8904, "scsi_dma_unmap" },
	{ 0x9e22e0ee, "scsi_done" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x1ec15c3f, "sdev_prefix_printk" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x46b7d0a1, "mpt_halt_firmware" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "mptbase");


MODULE_INFO(srcversion, "20BAD7D3CD0B8FCB0C5EFE5");
