#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x7d98ebbb, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x0c5dfb51, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x14a44590, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x7a8b808d, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0xc5148df1, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x1d4efb8c, "_gpl");
SYMBOL_CRC(mux_control_states, 0xf97cdc7f, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0xb1c0bfdb, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x76b0e1ae, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x92c86ebe, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x24485973, "_gpl");
SYMBOL_CRC(mux_control_put, 0xacb489b9, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x671258c3, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xa93f5f6b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x3b66ec41, "of_node_put" },
	{ 0xee3cc291, "dev_set_name" },
	{ 0xc84583d2, "of_property_match_string" },
	{ 0x217e2f8a, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0x9e418551, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8aac90c5, "devres_add" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99dbcb64, "put_device" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x4d51a88e, "device_add" },
	{ 0x4fd0f485, "__of_parse_phandle_with_args" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x680c68d3, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2a4388bd, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x1b834679, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x86c1cf09, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x1a57bce2, "class_find_device" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "79E11A47F875A5B5A0162E7");
