#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x65b2b2c5, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x8657200e, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xa225a3d3, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xaf7ec49e, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xe256c592, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xbecbb4d8, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xb6601b92, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xa8434406, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x961e0330, "_gpl");
SYMBOL_CRC(can_bus_off, 0x121d16a2, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x033e1d6c, "_gpl");
SYMBOL_CRC(free_candev, 0x46e8ebb2, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xc4b49d04, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x55f8787d, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xee937ff0, "");
SYMBOL_CRC(open_candev, 0x710b642c, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x322a577f, "_gpl");
SYMBOL_CRC(close_candev, 0xef113ddb, "_gpl");
SYMBOL_CRC(register_candev, 0x78e670d3, "_gpl");
SYMBOL_CRC(unregister_candev, 0xa81b1313, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x25f60f23, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x35161620, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xf2507939, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x6faf78ec, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xb96015a8, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0xb76889f4, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x657ed21e, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x34c18e44, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x0421ae3b, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x533ea163, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x5b956604, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xf2770d88, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xe3c43087, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xc9a2fa40, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x26823c0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3b66ec41, "of_node_put" },
	{ 0x7406d153, "skb_put" },
	{ 0x2cb49dfa, "skb_tstamp_tx" },
	{ 0x47fb02e9, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcde4de77, "unregister_netdev" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0xc35b360c, "gpiod_set_value_cansleep" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x46d91352, "rtnl_link_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc16f0624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf5bff610, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x313dd7cc, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0x5b66f7d4, "netdev_err" },
	{ 0xaf41fb19, "skb_queue_purge_reason" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0x4fd369da, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xeac76b74, "__napi_schedule" },
	{ 0xf468e743, "device_property_read_u32_array" },
	{ 0xf9bb9c7b, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1c8b65de, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0x72d2df20, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0xba9d756b, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5693262a, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x235efdb9, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf3fcfcc2, "netif_rx" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0x299f9a8, "skb_trim" },
	{ 0x8ee0dc3f, "__dynamic_netdev_dbg" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf3a66e36, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x984059c2, "dev_err_probe" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x351ec377, "skb_clone_tx_timestamp" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DC4B6FACF9EEFFC3192DC5F");
