#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iavf_register_client, "", "");
KSYMTAB_FUNC(iavf_unregister_client, "", "");

SYMBOL_CRC(iavf_register_client, 0x7a20cb33, "");
SYMBOL_CRC(iavf_unregister_client, 0x33389b43, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f8dba2b, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20de2c52, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3c7aad00, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb2a0da0c, "flow_rule_match_enc_keyid" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x57c215e, "skb_copy_bits" },
	{ 0xbc9b2acd, "pci_enable_device" },
	{ 0x2cb49dfa, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c57eba9, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xefea7ec5, "netdev_update_features" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xf5359a9b, "dump_page" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7d9a7216, "__pci_register_driver" },
	{ 0x67fa4db4, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x74f99b91, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7fa4c2ad, "skb_add_rx_frag" },
	{ 0xa950f8fc, "pci_request_regions" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xde81ab23, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbc151e05, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc16f0624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5c036c7e, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xc84c3a8c, "flow_rule_match_ipv4_addrs" },
	{ 0x313dd7cc, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe00b29d5, "unregister_netdevice_queue" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7943c8b3, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x5b66f7d4, "netdev_err" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0xe1480b6, "pci_restore_msi_state" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x35b54504, "irq_set_affinity_notifier" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6e11be06, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd8912c7b, "ipv6_skip_exthdr" },
	{ 0x7d347d46, "pci_enable_msix_range" },
	{ 0x60c03d9d, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xab437c39, "__free_pages" },
	{ 0x48d2e3f2, "__hw_addr_unsync_dev" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x875fa65, "napi_gro_receive" },
	{ 0x591c9bda, "netif_device_attach" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbcf4cfb, "eth_get_headlen" },
	{ 0xa7291e3c, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x79e24e59, "flow_rule_match_basic" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x36fcce54, "softnet_data" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85430f9b, "netif_set_real_num_tx_queues" },
	{ 0x48718657, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a75d11e, "dma_alloc_attrs" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5693262a, "free_netdev" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe7c53802, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbc299929, "netif_tx_stop_all_queues" },
	{ 0xf4d3b70, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x9c153f33, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x72398370, "flow_rule_match_ports" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x124b6e28, "netif_schedule_queue" },
	{ 0x84d063cf, "__alloc_pages" },
	{ 0xcbada82e, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7566f397, "netdev_set_tc_queue" },
	{ 0x98e8db49, "flow_rule_match_ipv6_addrs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x8ee0dc3f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64daeb8f, "dma_set_coherent_mask" },
	{ 0x1e672f87, "bpf_trace_run3" },
	{ 0x76cbcfef, "__page_frag_cache_drain" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xde35fc53, "netdev_reset_tc" },
	{ 0x1e9ca3c3, "dma_free_attrs" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe5b9aae1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x23bc757f, "flow_rule_match_vlan" },
	{ 0x16319844, "napi_build_skb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7d7a1abe, "__hw_addr_sync_dev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0x2becd23, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x8c99b9ac, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934ae2c, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa1fea2cd, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x6a4f2b42, "__napi_schedule_irqoff" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0x2c620178, "napi_consume_skb" },
	{ 0xb19079c8, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0xedede936, "napi_disable" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc89fa819, "flow_rule_match_control" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x351ec377, "skb_clone_tx_timestamp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f1454e8, "register_netdevice" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d0000154Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001571sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001889sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B985ED50E09D348565419A4");
