#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x20bd64af, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xf4c78221, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x5cbf95d3, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x8d4632eb, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xb4b007fc, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x20fff88d, "");
SYMBOL_CRC(mlx5_cmd_check, 0xce83d07f, "");
SYMBOL_CRC(mlx5_cmd_do, 0x4da45f79, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xc125c52f, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x36e506e6, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x0ba74829, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xba7f7deb, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x56f2edf6, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x2223c4d8, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x8f98e737, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x126f98c3, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x47367df3, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x6dcf85ba, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x95aeddac, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x9f192700, "");
SYMBOL_CRC(mlx5_eq_enable, 0x16389d92, "");
SYMBOL_CRC(mlx5_eq_disable, 0xce1d1b5e, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x67553e8a, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x1231cdcf, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xf688e5fd, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6bd39ffc, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xc9cc5c09, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xfed9b67a, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x51fce2ab, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xe2c77c37, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x4c6c05a4, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x6b8635d7, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x754bcc24, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xf620ceac, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x3012682d, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x5380a6df, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xa786d224, "");
SYMBOL_CRC(mlx5_create_cq, 0xeada4acf, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x13e552cf, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x28d995b5, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x8d858ee0, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x2166b7bb, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xa74bb7fd, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xf7e87133, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xb462bf9e, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xa5cdd764, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xbed3f2d5, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xdcca6ae1, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xa4f22d15, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x4f19cd8e, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x58ba0bc1, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x4826ecbd, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xd687b3b0, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xf1eb92ba, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xaf4fe987, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x14812625, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xa7297af4, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x43b28aef, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x4e251fce, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x357b6cc1, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x462de19f, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x98436ca9, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x71f25aa2, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xa6e5dcda, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x240ce223, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x3260f5e4, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x60d035a4, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x8346a46a, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xf453f6d2, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x509c6117, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x3390da24, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xe882c878, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x13d7b6cd, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x9e8832c5, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xec79b0ff, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xcea44dc3, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xfe123a62, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xa3829b28, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x785f9c7e, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x01824860, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xbfe92c63, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x848b64d1, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x7fda85cf, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xe2b3ef2b, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x8791c174, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xbbb730e9, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xc47eb2c2, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xecd36606, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xf57d8a5c, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x34efa2be, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x05ec9a20, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x064559d3, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x3e91e03f, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xd9917aa5, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x67d24c38, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x36fcb739, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xc67a89f5, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x13017686, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x8792781e, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xe477143e, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xfb12dfdf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x44d7360b, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xcb34060b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xd4a3696a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xc72faa3f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x436390fa, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xd49e2ef5, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x8279d2a9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x962a630a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x6fb6c639, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x530a6e57, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xefd38fcd, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xba6f045d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xc7e78a15, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xd960734e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xa40011a3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xa9fba236, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x41d48d24, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xe2e94564, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xb9ddb66e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x3f9f04ea, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xcf7be20c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x504e3e21, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x24cfdd46, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x0254115c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x74a189ea, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xa5e0d37b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xfe361db1, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x903b39fc, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xe0eccb31, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x8c3ea498, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x86950e76, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd6998663, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xb2823b91, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x8f06a941, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xc4ec7728, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x6259e49d, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x1b032834, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xbe6dc365, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x37e415d5, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xb7e02f59, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xe656a1d4, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x364f0a2e, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x799f9a06, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xeca237dc, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x325ae713, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x0fac5e22, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x3ed17c16, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x2e2ae45b, "");
SYMBOL_CRC(mlx5_msix_free, 0xff43e02b, "");
SYMBOL_CRC(mlx5_fc_create, 0x9defc7a6, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xf5412b7f, "");
SYMBOL_CRC(mlx5_fc_query, 0x0be6025f, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xee9cadd2, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x1599069d, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x8258ae6b, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xd9bc2973, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x3f59a34e, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x41ec6fb4, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xbbc095c1, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xa3946d7e, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x25e75c0e, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x10645625, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x2fd1fa07, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xab4916a9, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x8262b723, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x7368c4af, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xb4973146, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xdec85d65, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xc209e7cc, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xc569b03d, "");
SYMBOL_CRC(mlx5_notifier_register, 0xf520b303, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x07b11484, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x8c571750, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x479c0495, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x5226742a, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xb1b3de1b, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x7058936f, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xe3ebf1a2, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3f01d9fc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x1add289e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x7f2d2f80, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xe6479d42, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x9af19d73, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x1be1efa6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xbb86e0de, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x0cdfd23c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x3629d4a6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x1033980b, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xb1b887b8, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd29b0a24, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x9fa1dc1e, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x9b5d67e6, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x25998cbd, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x19d04766, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x3895896c, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x185319a2, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xfb1b8fee, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x852d01ab, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x0125368d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xe93d80cb, "__inet_lookup_established" },
	{ 0x37e6ed65, "xsk_tx_completed" },
	{ 0x1f8dba2b, "alloc_etherdev_mqs" },
	{ 0x728d35d4, "secpath_set" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20de2c52, "pci_save_state" },
	{ 0x45cb804d, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4fbc79e6, "xp_alloc" },
	{ 0xb7a9dbec, "pcie_capability_read_word" },
	{ 0xff6b38db, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce1678a4, "bpf_prog_put" },
	{ 0x892ba115, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa2b3c4e1, "pci_cfg_access_unlock" },
	{ 0x31cd93b0, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x75eb1cf6, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x57c215e, "skb_copy_bits" },
	{ 0xb5616625, "dma_pool_create" },
	{ 0x4dfce85c, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x47cd7b5d, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbc9b2acd, "pci_enable_device" },
	{ 0x7406d153, "skb_put" },
	{ 0x2cb49dfa, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x4c57eba9, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa9d156cb, "auxiliary_device_init" },
	{ 0xefea7ec5, "netdev_update_features" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xa25ffece, "pci_alloc_irq_vectors" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0xa798812f, "pci_enable_atomic_ops_to_root" },
	{ 0xb4043f78, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x1a48fccf, "xsk_clear_tx_need_wakeup" },
	{ 0xce8bcb3f, "udp4_hwcsum" },
	{ 0x699804d8, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x31608c09, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcde4de77, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x60a5b4af, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0x6e6277d0, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7d9a7216, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x67fa4db4, "dma_sync_single_for_device" },
	{ 0xa04e3b50, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xc7ee2f3d, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7fa4c2ad, "skb_add_rx_frag" },
	{ 0xebd744f, "xfrm_state_check_expire" },
	{ 0xeb910c59, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xde1f0dcc, "ptp_clock_index" },
	{ 0xa950f8fc, "pci_request_regions" },
	{ 0xbb8fde4b, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x28f7af03, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c1ac9ae, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x46ad47c2, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3f16a7c9, "devlink_register" },
	{ 0x1fdcbad, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x14ed4ace, "seq_lseek" },
	{ 0x1794ba8c, "page_pool_destroy" },
	{ 0xeae2069, "xdp_do_redirect" },
	{ 0xc6f1d003, "devlink_free" },
	{ 0x34ab91ae, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbc151e05, "bpf_trace_run2" },
	{ 0xc16f0624, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x29835b20, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9a205c7d, "pci_irq_vector" },
	{ 0x313dd7cc, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x1a5b8a27, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0xc0964ed4, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa33cca67, "sock_gen_put" },
	{ 0x7943c8b3, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x5b66f7d4, "netdev_err" },
	{ 0xc0d21a75, "pci_cfg_access_lock" },
	{ 0x8e0403de, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0xcc665c78, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x418a36ae, "ptp_find_pin" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0xbb49b97, "pci_read_config_dword" },
	{ 0x51d46a1a, "request_firmware_direct" },
	{ 0x33ea8b29, "auxiliary_driver_unregister" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xeede190a, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x99dbcb64, "put_device" },
	{ 0xb1ca1490, "net_dim" },
	{ 0xeac76b74, "__napi_schedule" },
	{ 0x1cb66157, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xf974d946, "pcie_relaxed_ordering_enabled" },
	{ 0xf997cb85, "xsk_set_rx_need_wakeup" },
	{ 0x3e65727f, "kmalloc_node_trace" },
	{ 0x60c03d9d, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xab437c39, "__free_pages" },
	{ 0xc2655774, "kmem_cache_alloc" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x875fa65, "napi_gro_receive" },
	{ 0x591c9bda, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x141d201f, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xaaceb338, "xp_raw_get_dma" },
	{ 0xbcf4cfb, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb1822ca2, "xdp_rxq_info_is_reg" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfa5c6420, "work_busy" },
	{ 0x61fc6239, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xfa5dd478, "devl_health_reporter_create" },
	{ 0xa7291e3c, "flow_block_cb_setup_simple" },
	{ 0xa1fcf3c5, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd05bcd97, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xcbabe1d0, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2fc63dd1, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x50ea6f08, "devlink_port_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x3fc1d995, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x36fcce54, "softnet_data" },
	{ 0x865b5ffa, "simple_open" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x404678e2, "bus_find_device" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0xb76209a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdcb80f4e, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x400d8fc, "xp_dma_sync_for_cpu_slow" },
	{ 0x39f316d8, "xsk_tx_peek_desc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x203d71f3, "hwmon_device_register_with_info" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x992327bf, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85430f9b, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x99519296, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x27a144d4, "irq_get_irq_data" },
	{ 0x546cb6f, "dev_remove_pack" },
	{ 0x48718657, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x9ef65c49, "dev_get_by_index" },
	{ 0x566bf111, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x910d9cd, "skb_store_bits" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x509b9fb6, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x31e658c4, "kmem_cache_free" },
	{ 0x8a75d11e, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x6b8a63ca, "debugfs_remove" },
	{ 0x436e0c7a, "pci_read_config_word" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x697fd456, "xsk_clear_rx_need_wakeup" },
	{ 0xcdb68e25, "unregister_netdevice_notifier_net" },
	{ 0xbdcd1a7f, "xsk_uses_need_wakeup" },
	{ 0xba9d756b, "register_netdev" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x9ee16e0a, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5693262a, "free_netdev" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x8b031f2d, "debugfs_create_size_t" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x8ada903e, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe7c53802, "ethtool_op_get_link" },
	{ 0xf9f564c4, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x1a38fef, "pci_restore_state" },
	{ 0x7b60b597, "bpf_trace_run1" },
	{ 0xb93933cc, "__inet6_lookup_established" },
	{ 0xf4d3b70, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x1b834679, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x9c153f33, "dma_sync_single_for_cpu" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2d0fe506, "page_pool_create" },
	{ 0x961c28ad, "skb_checksum" },
	{ 0x6ee5dc1, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x46f31e78, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x33ab305f, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9e393690, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x124b6e28, "netif_schedule_queue" },
	{ 0x84d063cf, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xcbada82e, "pci_set_master" },
	{ 0xca417674, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4906f3e8, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7566f397, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x6628e20f, "devl_params_unregister" },
	{ 0x2668a508, "ptp_clock_unregister" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0xedd586b2, "xp_dma_unmap" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xf00d680b, "devlink_trap_report" },
	{ 0xb6bdddb2, "__neigh_event_send" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0x38bf43d0, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b51bc96, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6dc8365c, "devl_unlock" },
	{ 0x8ee0dc3f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64daeb8f, "dma_set_coherent_mask" },
	{ 0xf873c5e2, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x5f3d4522, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xf846d99f, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x40162ad5, "debugfs_create_file" },
	{ 0x65f4af6e, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x8aa0e31c, "xsk_set_tx_need_wakeup" },
	{ 0x4036ee6, "__dev_queue_xmit" },
	{ 0xde35fc53, "netdev_reset_tc" },
	{ 0xfb650212, "neigh_destroy" },
	{ 0x1e9ca3c3, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x18967a46, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7b0f653a, "current_work" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x29aa7419, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe5b9aae1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x98dbf88, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb30c8406, "devl_assert_locked" },
	{ 0xd82d52ba, "pcie_print_link_status" },
	{ 0xed9e1032, "xp_set_rxq_info" },
	{ 0x1929ab80, "alloc_pages" },
	{ 0x89b42da0, "xdp_rxq_info_unreg" },
	{ 0xc7a9b42a, "page_pool_alloc_pages" },
	{ 0x2d740425, "devl_param_driverinit_value_get" },
	{ 0x16319844, "napi_build_skb" },
	{ 0xb54c5fe0, "netdev_master_upper_dev_get_rcu" },
	{ 0x73da223a, "__xdp_rxq_info_reg" },
	{ 0xf41ccbf1, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xca9a06c3, "bpf_prog_inc" },
	{ 0xbdddd32f, "rhltable_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x39e0fb6a, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0x8c91926d, "seq_printf" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x5223cc7b, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbc25bf43, "devlink_port_register_with_ops" },
	{ 0x3e973f6e, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0x2becd23, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x9d03e82a, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xaeb161a7, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934ae2c, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x72a925e7, "xp_free" },
	{ 0x6bee29bb, "page_pool_update_nid" },
	{ 0xeb0f651d, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xa1fea2cd, "dma_set_mask" },
	{ 0x420f34ed, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xba291592, "netif_set_tso_max_size" },
	{ 0x6e7e37bb, "__skb_flow_dissect" },
	{ 0x3fc062fa, "pci_msix_alloc_irq_at" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xb7269995, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x189e825e, "xp_raw_get_data" },
	{ 0xb0a44b91, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0x6a5ade36, "qdisc_reset" },
	{ 0x2c620178, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x8092ab70, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xedede936, "napi_disable" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x175fd51d, "dcb_ieee_delapp" },
	{ 0x185f7de1, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa728567b, "debugfs_create_u8" },
	{ 0x1b59b769, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x8a712eca, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x24d155ca, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfb0d4a78, "pcie_bandwidth_available" },
	{ 0x1048c507, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x68ee56c6, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa58bc3c9, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xfb9d8496, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x74156ff8, "xsk_tx_release" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x24cb6977, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec3c8641, "pci_iov_get_pf_drvdata" },
	{ 0x4f5a9116, "pci_write_config_dword" },
	{ 0x12c36976, "pci_bus_type" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0x501dfcf1, "neigh_lookup" },
	{ 0x8e9f65cc, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "tls,pci-hyperv-intf,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "B638A3B53C75A2FD35EA255");
