#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x66a11544, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xc1d190e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xff942882, "dev_open" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1f18f513, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5c57fd8c, "dev_set_mtu" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x12c36976, "pci_bus_type" },
	{ 0xfa1bd430, "vlan_uses_dev" },
	{ 0x5b66f7d4, "netdev_err" },
	{ 0x3f874f64, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd5b1c5b0, "vlan_vid_del" },
	{ 0x74506450, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x35b5ff0, "dev_get_stats" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x26a45386, "dev_uc_sync_multiple" },
	{ 0x184caa35, "dev_mc_sync_multiple" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x141d201f, "netdev_pick_tx" },
	{ 0x1f8dba2b, "alloc_etherdev_mqs" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0xba9d756b, "register_netdev" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0x31877cf5, "failover_register" },
	{ 0x223552c8, "_dev_err" },
	{ 0x5693262a, "free_netdev" },
	{ 0xcde4de77, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x60c03d9d, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1f9baf84, "failover_slave_unregister" },
	{ 0xb422a9c, "failover_unregister" },
	{ 0xe00b29d5, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x44242642, "netdev_lower_state_changed" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0xf4d3b70, "netif_tx_wake_queue" },
	{ 0xbc299929, "netif_tx_stop_all_queues" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5ac2210, "dev_close" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5a216f76, "vlan_vids_add_by_dev" },
	{ 0xa458a0a6, "call_netdevice_notifiers" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0xe200ae40, "dev_uc_unsync" },
	{ 0xcb1c32ca, "dev_mc_unsync" },
	{ 0x1876d5ca, "vlan_vids_del_by_dev" },
	{ 0x4036ee6, "__dev_queue_xmit" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x4f5c3789, "netdev_core_stats_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7e3b6d5a, "passthru_features_check" },
	{ 0xde81ab23, "eth_validate_addr" },
	{ 0xe7c53802, "ethtool_op_get_link" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
