#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xcac518c0, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x0ebed404, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x71c980c1, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x45343582, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x9e3c0fbd, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x2eb1e094, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x5f3ec7ef, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x6c050754, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x0a621ff2, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xd6335030, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xec3b949d, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xf04c2679, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xdbfab047, "_gpl");
SYMBOL_CRC(usbnet_open, 0x4ade3c79, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x1497aa3d, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x9be98535, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x33ad8ade, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x7365ec19, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x521f05cc, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x642d13bd, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x1d0399f2, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x3f706748, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xc73de0b6, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x572e693c, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x716b5346, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xd8f2d0eb, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xa734be9c, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x1a8b5a77, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x3fad1679, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x2e4c0d55, "");
SYMBOL_CRC(usbnet_manage_power, 0x34644afa, "");
SYMBOL_CRC(usbnet_link_change, 0x580b4b51, "");
SYMBOL_CRC(usbnet_read_cmd, 0xc32c2480, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x17105e59, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x1fe5173e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x4afff516, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x1fdd7b88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x27707251, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe0dc9dc9, "usb_string" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8ee0dc3f, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xaf41fb19, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd051821d, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xac2168e4, "usb_unlink_urb" },
	{ 0xbb6e482b, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x7d255ee9, "usb_submit_urb" },
	{ 0x5b66f7d4, "netdev_err" },
	{ 0x77c392e9, "mii_ethtool_get_link_ksettings" },
	{ 0xc32cab22, "mii_ethtool_set_link_ksettings" },
	{ 0x43b9037b, "mii_nway_restart" },
	{ 0xb813e23f, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x60c03d9d, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe7ee8f5b, "usb_kill_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x591c9bda, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x162b1e6, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x17bc83b, "usb_autopm_get_interface" },
	{ 0x32e73329, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xec9761b4, "usb_alloc_urb" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xbb956b55, "mii_link_ok" },
	{ 0xe7c53802, "ethtool_op_get_link" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1f8dba2b, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5693262a, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xba9d756b, "register_netdev" },
	{ 0x234599d9, "pm_runtime_enable" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0x3e009b0e, "usb_check_bulk_endpoints" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcde4de77, "unregister_netdev" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x260432cf, "usb_get_from_anchor" },
	{ 0x489612e6, "skb_defer_rx_timestamp" },
	{ 0xf3fcfcc2, "netif_rx" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x351ec377, "skb_clone_tx_timestamp" },
	{ 0x18522536, "usb_autopm_get_interface_async" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x2cb49dfa, "skb_tstamp_tx" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0xf1ec0c66, "usb_anchor_urb" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf4d3b70, "netif_tx_wake_queue" },
	{ 0x13d3dc0f, "usb_autopm_get_interface_no_resume" },
	{ 0x7406d153, "skb_put" },
	{ 0x75798ce9, "usb_clear_halt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd33d220a, "eth_mac_addr" },
	{ 0xde81ab23, "eth_validate_addr" },
	{ 0x673b8809, "dev_get_tstats64" },
	{ 0xadf8cff9, "ethtool_op_get_ts_info" },
	{ 0x8248e5f2, "param_ops_int" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2280BDCCF4D372927E793FB");
