#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x607dcb8d, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x951635ef, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x0adf4ee4, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xb6ffda6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xcdacb520, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xca2f5c2b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x57c215e, "skb_copy_bits" },
	{ 0xe384d9d5, "__nlmsg_put" },
	{ 0x62710451, "netdev_adjacent_change_commit" },
	{ 0xd33d220a, "eth_mac_addr" },
	{ 0x7406d153, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2adf87b4, "ip6_dst_hoplimit" },
	{ 0x4c164536, "param_ops_ushort" },
	{ 0x459be4e5, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0xd4c12047, "udp_sock_create4" },
	{ 0x361133eb, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x155ffd38, "udp_tunnel6_xmit_skb" },
	{ 0x46d91352, "rtnl_link_register" },
	{ 0xd715414, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xde81ab23, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x461dc02c, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4d0fdbe2, "rtnl_create_link" },
	{ 0x8cf58520, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe00b29d5, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x7dee4cf1, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x14fc8b3b, "ether_setup" },
	{ 0x997fc225, "udp_tunnel_drop_rx_port" },
	{ 0x95072b0b, "netdev_upper_dev_link" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0xc2d8f7f0, "register_pernet_subsys" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0x4f5c3789, "netdev_core_stats_alloc" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0xecbc1a54, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcfb4cf72, "eth_gro_complete" },
	{ 0xd08062a8, "rtnl_set_sk_err" },
	{ 0x9cce3bb3, "eth_gro_receive" },
	{ 0xfb66185b, "rtnl_configure_link" },
	{ 0xa270c6b3, "skb_tunnel_check_pmtu" },
	{ 0x38013355, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe114d26f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x5606c6d5, "__dev_get_by_index" },
	{ 0x1c8b65de, "rtnl_link_unregister" },
	{ 0x7bc84655, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25f8edd3, "ipv6_stub" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0x3870231c, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x88bcc673, "dev_get_by_index_rcu" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xadae5968, "gro_cells_receive" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x665f6f3d, "netdev_upper_dev_unlink" },
	{ 0x12e5e082, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x1d1dce63, "__rtnl_register_many" },
	{ 0x5693262a, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc8e3c2bd, "ip_mc_join_group" },
	{ 0x79baecff, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7798cb64, "lock_sock_nested" },
	{ 0xe7c53802, "ethtool_op_get_link" },
	{ 0x13b58855, "nexthop_find_by_id" },
	{ 0xfdd3ff51, "arp_create" },
	{ 0x3f874f64, "__ethtool_get_link_ksettings" },
	{ 0x6bceb63a, "netdev_adjacent_change_prepare" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2f7b8b91, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xca78616f, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x7339bf21, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xabac92b7, "__iptunnel_pull_header" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0x673b8809, "dev_get_tstats64" },
	{ 0xf3fcfcc2, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xe37da31b, "setup_udp_tunnel_sock" },
	{ 0x945c6bf7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x299f9a8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8ee0dc3f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc44fcd83, "skb_scrub_packet" },
	{ 0xabd4c5f3, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x41a92c89, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb650212, "neigh_destroy" },
	{ 0x46d99b4, "dst_cache_get_ip6" },
	{ 0x73266324, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0xaec783a2, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xab5d0a1, "dst_cache_set_ip6" },
	{ 0x373a351b, "rtnl_notify" },
	{ 0xe235740b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5cdd5c0e, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf3a66e36, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xdb4d26fb, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xef84c76b, "dst_release" },
	{ 0xd4809b7f, "unregister_nexthop_notifier" },
	{ 0xaeb161a7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xcb0be8c, "udp_tunnel_notify_del_rx_port" },
	{ 0x97d508a5, "register_nexthop_notifier" },
	{ 0x13e30b9c, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xc681f71d, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x812dc811, "gro_find_receive_by_type" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0x501dfcf1, "neigh_lookup" },
	{ 0x3a2b6bef, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f1454e8, "register_netdevice" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "437034C7459B3F3C87B9290");
