#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x05566ec4, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0xdbd8541a, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x1f453df0, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x9d8c2e49, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0xc2dade26, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x695f98ff, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x0d856344, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x3c095144, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x75d7e9bf, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xf47be6ce, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xe52fe4bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8b450457, "brcmu_pktq_mlen" },
	{ 0x22b7aba9, "cfg80211_sched_scan_results" },
	{ 0xa524727b, "sdio_retune_hold_now" },
	{ 0x306088f3, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xec9761b4, "usb_alloc_urb" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7ac2ee8c, "sdio_disable_func" },
	{ 0xf1ac50d9, "cfg80211_mgmt_tx_status_ext" },
	{ 0xe562aa63, "device_set_wakeup_enable" },
	{ 0x32e73329, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x99a4afb8, "sdio_set_block_size" },
	{ 0x470d4636, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbb6e482b, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0x3b66ec41, "of_node_put" },
	{ 0xbc9b2acd, "pci_enable_device" },
	{ 0x7406d153, "skb_put" },
	{ 0xa4c1c8af, "brcmu_pkt_buf_free_skb" },
	{ 0x47fb02e9, "of_property_read_variable_u32_array" },
	{ 0x424c0110, "sdio_retune_crc_disable" },
	{ 0x1ecff19, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2436a86a, "firmware_request_nowarn" },
	{ 0xca811de0, "platform_driver_unregister" },
	{ 0x9ae75314, "sdio_claim_host" },
	{ 0x5ba1c3d4, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5dcee6e4, "sdio_memcpy_fromio" },
	{ 0x459be4e5, "consume_skb" },
	{ 0xb0be0513, "sdio_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcde4de77, "unregister_netdev" },
	{ 0xbf2f71ba, "cfg80211_remain_on_channel_expired" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4129cedb, "cfg80211_register_netdevice" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xa74aa450, "request_firmware" },
	{ 0xa954b116, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7d9a7216, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xfbf663bb, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x935e43a5, "cfg80211_port_authorized" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x59d9774a, "brcmu_pktq_init" },
	{ 0x5193791f, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x793bdd0c, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1b20807, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x5097efb8, "cfg80211_disconnected" },
	{ 0x14fc8b3b, "ether_setup" },
	{ 0x7943c8b3, "pci_unregister_driver" },
	{ 0x30941846, "of_get_property" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0x7c6a62c7, "wake_up_process" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0x4bb7c6cb, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0xbb49b97, "pci_read_config_dword" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x4fd369da, "alloc_netdev_mqs" },
	{ 0x59b8dffd, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4d484d11, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6c930b9, "devm_kstrdup" },
	{ 0x413687d2, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa1f4aa08, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x98f97d28, "cfg80211_crit_proto_stopped" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x78b15267, "wiphy_register" },
	{ 0x25a50aba, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfa0680f4, "cfg80211_put_bss" },
	{ 0xc4f0bb3f, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7d255ee9, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x28693c7f, "of_get_mac_address" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0x51812199, "ieee80211_get_channel_khz" },
	{ 0x31193581, "cfg80211_check_combinations" },
	{ 0x672c4a3e, "sdio_set_host_pm_flags" },
	{ 0x96a9555b, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x4b61934f, "sdio_unregister_driver" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3e4cb3f0, "sdio_readsb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1dc970, "usb_match_id" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3a1e21c2, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0xc5cfbedc, "device_wakeup_enable" },
	{ 0xe2984a38, "cfg80211_ibss_joined" },
	{ 0xbade0cf0, "request_firmware_nowait" },
	{ 0x865b5ffa, "simple_open" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x27a144d4, "irq_get_irq_data" },
	{ 0xf03232b0, "wiphy_apply_custom_regulatory" },
	{ 0xcf59e841, "cfg80211_michael_mic_failure" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0x9642b983, "sdio_retune_crc_enable" },
	{ 0xd0f8f9c9, "brcmu_pktq_flush" },
	{ 0x79f24199, "brcmu_pktq_peek_tail" },
	{ 0x8a75d11e, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4168409f, "cfg80211_del_sta_sinfo" },
	{ 0x8e03f190, "sdio_readl" },
	{ 0x43e9fc6d, "mmc_set_data_timeout" },
	{ 0x12e5e082, "nla_put" },
	{ 0xba9d756b, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x743f0c4f, "wiphy_unregister" },
	{ 0x5693262a, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x88a2fd4a, "of_property_read_string" },
	{ 0xf0d2a780, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x97da03f2, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3818dde2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4aa7d38e, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc8566cf9, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf4d3b70, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x60dc74ac, "brcmu_pktq_pdeq_match" },
	{ 0x7132ca42, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x61f3b49e, "sdio_writel" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xcbada82e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xb177af4a, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0xf3fcfcc2, "netif_rx" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x492b8bcd, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x299f9a8, "skb_trim" },
	{ 0x673b6499, "skb_unlink" },
	{ 0x1ff1468a, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b587ed4, "kthread_create_on_node" },
	{ 0x4fa1fa54, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6f56b71f, "pm_runtime_forbid" },
	{ 0x40162ad5, "debugfs_create_file" },
	{ 0x6b0b97d6, "brcmu_pktq_mdeq" },
	{ 0x9bead9b0, "cfg80211_unregister_wdev" },
	{ 0xb16e6ba0, "pci_pme_capable" },
	{ 0x37a0dfdd, "brcmu_pktq_penq" },
	{ 0x1e9ca3c3, "dma_free_attrs" },
	{ 0x62244882, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xc08eeb99, "__platform_driver_probe" },
	{ 0xc0c7e48d, "of_device_is_compatible" },
	{ 0x7b634d40, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x17bc83b, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x819b2aed, "brcmu_pktq_pdeq_tail" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcfed0446, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xe7ee8f5b, "usb_kill_urb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0xf95245b6, "brcmu_pkt_buf_get_skb" },
	{ 0xa3e7f31a, "mmc_hw_reset" },
	{ 0xb8607428, "sdio_retune_release" },
	{ 0x1cecc0b3, "sdio_claim_irq" },
	{ 0x698b1fa3, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934ae2c, "pci_disable_device" },
	{ 0x98f913c7, "pci_match_id" },
	{ 0x6895f2f1, "sdio_enable_func" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe04f9ccf, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x508c9d51, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x69bc923d, "cfg80211_inform_bss_data" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x82d1a6eb, "irq_of_parse_and_map" },
	{ 0xff377c20, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x8248e5f2, "param_ops_int" },
	{ 0x8d6ac76, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x431887b5, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x3757fd3f, "wiphy_free" },
	{ 0x19ecfea5, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6979809d, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f5a9116, "pci_write_config_dword" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7f09203c, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf41e44ee, "sdio_readb" },
	{ 0x595a12b3, "sdio_writeb" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "86B015FE1CC6F3F83244DD7");
