#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x8cac1786, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xe543822a, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xa7bc1415, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x4f5583be, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x16bc0e7d, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x16de75f8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x79a8b41a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x93201ed7, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xbf6c85b1, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xccdff3cf, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x12b1e36b, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x8c543688, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xd88898ac, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x7026a045, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x555718ef, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x0322278d, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x553db82a, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3f7bad6f, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xfd67b9a3, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x6d887057, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xa435f931, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x31b7ebba, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x6dfdc734, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x36b93ed7, "_gpl");
SYMBOL_CRC(mt76_rx, 0x2f05bb22, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xbe06018a, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x30375863, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x9600dbdf, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xfeaf350f, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xde09962d, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xfcc30d9e, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xd067e8cd, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x8fb6c875, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x693113c8, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x791eb784, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x503f54d7, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x0655792d, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xe5f87db0, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x48f4c62f, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x08308e25, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xdd07f83a, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xcde3c694, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xaec62855, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x9d52848c, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xa37f86a4, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xaa00123c, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x1dca0858, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x70868698, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xb3542e69, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x26471b73, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x4ef73492, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x081859c0, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xf4c82d47, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x2ac74425, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x0d20ac90, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x87ff3093, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xda0452cc, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x0affc616, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xb5aca7be, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xe6561c91, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xe1c8b1fe, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x7a22db8c, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x1181c1d9, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x03b5456f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x56e23a6a, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xd91e1fbf, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x2b337b3c, "_gpl");
SYMBOL_CRC(mt76_tx, 0x74c4a427, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xb2802523, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xf8117734, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xa2423c3c, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x2efa27df, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xf9cd668e, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x60205901, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x5963bb46, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xc14d79cc, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xd0ddb6c5, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x6b433de4, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x152e78ac, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x795006c7, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x7f2378b0, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x77017cad, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xdd006beb, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xac18143a, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xeb1adf6b, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x9a592d82, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x0875e555, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xe158108a, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x8d9b5d7d, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x8da0c419, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2e68cd7, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb7a9dbec, "pcie_capability_read_word" },
	{ 0x3c7aad00, "__skb_pad" },
	{ 0x892ba115, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd59c7cd0, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x47cf1119, "__ieee80211_schedule_txq" },
	{ 0xad056c6, "debugfs_attr_write" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0x3b66ec41, "of_node_put" },
	{ 0x7406d153, "skb_put" },
	{ 0x47fb02e9, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x25192299, "page_pool_alloc_frag" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x48d47798, "dmam_alloc_attrs" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xde178779, "ieee80211_free_hw" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xffeca4a5, "ieee80211_txq_schedule_start" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x67fa4db4, "dma_sync_single_for_device" },
	{ 0x7fa4c2ad, "skb_add_rx_frag" },
	{ 0x6a537042, "ieee80211_tx_status_ext" },
	{ 0xb1568124, "debugfs_create_blob" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x1794ba8c, "page_pool_destroy" },
	{ 0xfa38b257, "ieee80211_register_hw" },
	{ 0xceb88539, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2b5f2c78, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x83c0c939, "ieee80211_sta_eosp" },
	{ 0xaeed98a1, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x313dd7cc, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6bf3b180, "kthread_park" },
	{ 0x76f10fb4, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x30941846, "of_get_property" },
	{ 0x7c6a62c7, "wake_up_process" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0xf7c84d9c, "ieee80211_get_tx_rates" },
	{ 0xe8d18ec1, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xfaa74e4b, "ieee80211_sta_uapsd_trigger" },
	{ 0x6bc4f0f4, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4a75620, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9153df4d, "pci_disable_link_state" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x875fa65, "napi_gro_receive" },
	{ 0x28693c7f, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xe38b1e97, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf9bb9c7b, "of_get_child_by_name" },
	{ 0x875046ba, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77b504ac, "ieee80211_queue_delayed_work" },
	{ 0x1a0bc08b, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x94a1bb8e, "of_prop_next_string" },
	{ 0xd55b02c8, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2456d8d6, "simple_attr_release" },
	{ 0x69c67c34, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa50b047a, "ieee80211_find_sta_by_ifaddr" },
	{ 0x2e5c98fa, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x509b9fb6, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0xf59ba09b, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9717f247, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0xf0d2a780, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x97da03f2, "of_find_property" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3818dde2, "kthread_stop" },
	{ 0xc36a7bb5, "ieee80211_free_txskb" },
	{ 0xd317074, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb92874c5, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xee5c0eca, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x4a0c692e, "ieee80211_rx_list" },
	{ 0x9c153f33, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x2d0fe506, "page_pool_create" },
	{ 0x6ee5dc1, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4906f3e8, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4b587ed4, "kthread_create_on_node" },
	{ 0xeb08ac14, "cfg80211_reg_can_beacon" },
	{ 0x1e672f87, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0x697ad8c, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd192ec94, "ieee80211_unregister_hw" },
	{ 0x16319844, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb72d9012, "of_nvmem_cell_get" },
	{ 0x8c91926d, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x26c0d878, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xfa7f1bac, "ieee80211_sta_ps_transition" },
	{ 0xa728567b, "debugfs_create_u8" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x24d155ca, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x849c03a3, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x196f990, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");
