#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x8e62dbf7, "");
SYMBOL_CRC(rtw_dump_reg, 0x5e313c86, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x1715b057, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x344bce91, "");
SYMBOL_CRC(rtw_core_init, 0xf788634d, "");
SYMBOL_CRC(rtw_core_deinit, 0x7357ca3e, "");
SYMBOL_CRC(rtw_register_hw, 0xb4f0b697, "");
SYMBOL_CRC(rtw_unregister_hw, 0x2be66194, "");
SYMBOL_CRC(rtw_ops, 0x06d1bb67, "");
SYMBOL_CRC(check_hw_ready, 0x71306e60, "");
SYMBOL_CRC(rtw_restore_reg, 0x39074e6e, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0xa9830b8b, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x5aba6a9e, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0xf5ede481, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0xfff8a66c, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xe9146c90, "");
SYMBOL_CRC(rtw_rx_stats, 0x7b04672f, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x0cdd5c11, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x40844621, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x13fe0d92, "");
SYMBOL_CRC(rtw_phy_init, 0x2ab94614, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x7e6e9c66, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x9d24c6a9, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xf88c6744, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x085735af, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x5911e23c, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x225a0bdf, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xdb3f71a3, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x920aba9d, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x31c2e48b, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xcaa6a1e5, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x231f7ff6, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x86dd0706, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x0f94c257, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xd50aff24, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x9be9c3ed, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x617d09b5, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xc3d680eb, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x5be464c6, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xbc501d4f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x3b164295, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x8b2ec081, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xbc830e4c, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x432488b1, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xd50e0935, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xc14fa442, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x122bb43f, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xd488d0dd, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x04558c86, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x2acc8a75, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x8f4a089a, "");
SYMBOL_CRC(rtw_power_mode_change, 0x2c4f2cf3, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x202958ec, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xa92eb3f0, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x811c2c58, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xefad3b72, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xdce900d0, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x80635993, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0xa730ba67, "");
SYMBOL_CRC(rtw_regd_get, 0xe4817566, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe562aa63, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xef3c9ce9, "ieee80211_connection_loss" },
	{ 0x76cf6df8, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ccebb1b, "ieee80211_txq_get_depth" },
	{ 0x4dfce85c, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7406d153, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x459be4e5, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x25bcf99d, "ieee80211_probereq_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8835cc20, "ieee80211_iterate_stations_atomic" },
	{ 0x97f8f167, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3864256a, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4a642cdf, "ieee80211_nullfunc_get" },
	{ 0xa5fea478, "ieee80211_pspoll_get" },
	{ 0xfa38b257, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24249e95, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaf41fb19, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x18cbcbfc, "ieee80211_find_sta" },
	{ 0xb2603cb2, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x85ed9f6f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0xa290f182, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x82828059, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77b504ac, "ieee80211_queue_delayed_work" },
	{ 0x2c3eb29c, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0xbade0cf0, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa50b047a, "ieee80211_find_sta_by_ifaddr" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0x34e56b6f, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd6f31eed, "ieee80211_iter_keys_rcu" },
	{ 0xc36a7bb5, "ieee80211_free_txskb" },
	{ 0x5dfd09cd, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xee5c0eca, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3f78ca22, "ieee80211_stop_queues" },
	{ 0x673b6499, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x51e89db1, "ieee80211_scan_completed" },
	{ 0x697ad8c, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd192ec94, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2b7d830, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7b929dc5, "skb_copy" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa29f070d, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xce223690, "ieee80211_request_smps" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x4a571a, "ieee80211_queue_work" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F0AF00723B6B4B68F68159E");
