#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x4067d505, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xe75fef0c, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x2269f826, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x491d8b1b, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x3e2c4d1a, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x41e5a4a2, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x96e281d5, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xfbceb1b9, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x5e986056, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x76db09a9, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x0e81df07, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xf2b8d242, "");
SYMBOL_CRC(rtw89_pm_ops, 0x728632f1, "");
SYMBOL_CRC(rtw89_pci_probe, 0xe65661a7, "");
SYMBOL_CRC(rtw89_pci_remove, 0xb9ab53eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb7a9dbec, "pcie_capability_read_word" },
	{ 0xcb7bb44d, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa9df5a6f, "rtw89_alloc_ieee80211_hw" },
	{ 0x312e94ea, "devm_request_threaded_irq" },
	{ 0xbc9b2acd, "pci_enable_device" },
	{ 0x7406d153, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x1729b1d9, "pci_iomap" },
	{ 0xa25ffece, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x67fa4db4, "dma_sync_single_for_device" },
	{ 0xa950f8fc, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe70178c8, "rtw89_core_napi_init" },
	{ 0xb0d55e68, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0xbb49b97, "pci_read_config_dword" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2d8a92e, "devm_free_irq" },
	{ 0xeac76b74, "__napi_schedule" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0xb124f98b, "rtw89_core_init" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1804e70b, "rtw89_core_napi_deinit" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0x8a75d11e, "dma_alloc_attrs" },
	{ 0xc3665513, "rtw89_free_ieee80211_hw" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda489c25, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x877237a0, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9c153f33, "dma_sync_single_for_cpu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcbada82e, "pci_set_master" },
	{ 0x382101ff, "ieee80211_tx_status" },
	{ 0x1ed2391c, "rtw89_ser_notify" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0x673b6499, "skb_unlink" },
	{ 0x64daeb8f, "dma_set_coherent_mask" },
	{ 0x2cc40303, "rtw89_core_register" },
	{ 0x1e9ca3c3, "dma_free_attrs" },
	{ 0xa5a04dba, "rtw89_core_rx" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe5b9aae1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xca246eb8, "rtw89_core_deinit" },
	{ 0xd52dd6bb, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4934ae2c, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa1fea2cd, "dma_set_mask" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0xb19079c8, "pci_read_config_byte" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x1048c507, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7350e9a6, "rtw89_core_napi_stop" },
	{ 0x90f20641, "rtw89_chip_info_setup" },
	{ 0xb8f76762, "rtw89_mac_get_err_status" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");
