#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xc909a5ed, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0xa3bfad79, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0xfeaed2d6, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x13050274, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xd620b089, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x3211e40d, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xef9188e5, "_gpl");
SYMBOL_CRC(inet_diag_register, 0xf2856006, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x4151fbe3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x3ae95e2c, "sock_diag_save_cookie" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x12e5e082, "nla_put" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0xf2d06e1f, "sock_i_uid" },
	{ 0x26c4c7bb, "from_kuid_munged" },
	{ 0xe334b4fd, "sock_i_ino" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x299f9a8, "skb_trim" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7bf59275, "__netlink_dump_start" },
	{ 0xaba49f15, "sock_diag_unregister" },
	{ 0x28992575, "sock_diag_unregister_inet_compat" },
	{ 0x1b7c1a03, "netlink_net_capable" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x706b4369, "sock_diag_register" },
	{ 0xd0dc63cd, "sock_diag_register_inet_compat" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x978c413b, "inet6_lookup" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x45c9805b, "sock_diag_check_cookie" },
	{ 0xe93d80cb, "__inet_lookup_established" },
	{ 0x5c637202, "__inet_lookup_listener" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa33cca67, "sock_gen_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe384d9d5, "__nlmsg_put" },
	{ 0x9f31131d, "nla_reserve_64bit" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf94fd308, "bpf_sk_storage_diag_put" },
	{ 0xb48ba41, "sock_diag_put_meminfo" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0x736809e8, "netlink_unicast" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "92FF3DC195ED23E311AF339");
