#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x9f7b29ef, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xe56f6c41, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xbf50d2c6, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x4c63b443, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x66213728, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x2e9be522, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xd6cccc22, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x9e057204, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x2a26418c, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xdb37a2e6, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xcc69703c, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x517ee5a9, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xd7aa07ac, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x621a0402, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xd537d958, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xec0f2988, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xb2d4abb7, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x6abc224d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xb21874fc, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xdab40c1e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x40bd3507, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x97f7f04b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x754154b3, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x198127d5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xbc6667cd, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x09815a18, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xab4fd7a0, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x502644f9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x72f6b46d, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xd64dc76f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x5b9694b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdaf3c7e4, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x83b8a316, "kthread_create_worker" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdcb764ad, "memset" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x5a47693d, "sched_set_fifo" },
	{ 0x223552c8, "_dev_err" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x895b08de, "kthread_destroy_worker" },
	{ 0x872f8a7d, "crypto_register_aead" },
	{ 0x48bf32f, "crypto_unregister_aead" },
	{ 0x601a27d6, "crypto_register_ahash" },
	{ 0xc82d699c, "crypto_unregister_ahash" },
	{ 0xc558b522, "crypto_register_akcipher" },
	{ 0xe0997d19, "crypto_unregister_akcipher" },
	{ 0xeb5afb03, "crypto_register_kpp" },
	{ 0xa3874e4e, "crypto_unregister_kpp" },
	{ 0x36daefc3, "crypto_register_skcipher" },
	{ 0xbc0987ed, "crypto_unregister_skcipher" },
	{ 0xc3334f59, "crypto_enqueue_request" },
	{ 0xe3bef1c2, "crypto_dequeue_request" },
	{ 0x11acbba, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
