#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x35fffaab, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xb5742ef5, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x1386b580, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xf85a3dab, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x1a83ab12, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x06ff01a5, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xce7f407e, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xfbcb0de6, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xe146663c, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x8ccd8b5a, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x87d8cd10, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x2cf9e223, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x8a09b7d7, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x88c6eec1, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x2c2008e6, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xe65ef6f5, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xc4302675, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xabbabe89, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x669ea4c9, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x0d1c55c9, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x2faf187e, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x3969e212, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xfc9539fa, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xe696aa13, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x152dc9b0, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x68bc5c18, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x59c63a47, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x8f6b78b8, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x671d4de5, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x4e583698, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xa5c729b3, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x423aa3c2, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x9445b2a0, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x8487c6d4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x931b51b5, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x07375447, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xd37d4dfd, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x66dcaa1e, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x5c0203f1, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x69e4a912, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x99c529d8, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xa4cb208f, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x31511b0a, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xe6b01eb7, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xe5bf319a, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xa79e94f2, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x92ce7fd5, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xbf7e8ff0, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xab0721a9, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xda7a62ef, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xc7f314dd, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xdb8f8224, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x4c3ba102, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x096d6f11, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xfabb553c, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xf326f15a, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xfde3b92a, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xc6d1176e, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x72161063, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x179edc09, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xb78ba4da, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x4e6e46dd, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x7c28ba0b, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x70ca249c, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x71da48a4, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x38250b18, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xe5e20301, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x3a569313, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x8b1d84c0, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x79b6b8e7, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xe3b1bd35, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xf6039489, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xfc4df0c2, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xd69df944, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x2f3f6c7a, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xad728548, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xae6f4648, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x82076370, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xeb73d304, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x1a7c3b9d, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x9ccf93bd, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x28461ec3, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x608cfc84, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x80a6baa3, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xd4910885, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb152c3, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4cac5836, "bpf_trace_run4" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xee3cc291, "dev_set_name" },
	{ 0x4c164536, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc6eb7c30, "cdev_device_del" },
	{ 0x19dd8175, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x37a26975, "device_unregister" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x290a9183, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x9e418551, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xfb721fde, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbc151e05, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8ffeaf50, "devm_remove_action" },
	{ 0x90d1023c, "get_device" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0xbb49b97, "pci_read_config_dword" },
	{ 0x9596a1d2, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0xf3bbd24f, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x99dbcb64, "put_device" },
	{ 0x1be7548f, "bus_for_each_dev" },
	{ 0xedfa5a04, "sysfs_create_link" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfcace977, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0xcad6638e, "sysfs_update_group" },
	{ 0xec3f01b4, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x15fcfd03, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xfde74d77, "debugfs_create_bool" },
	{ 0x404678e2, "bus_find_device" },
	{ 0x4d51a88e, "device_add" },
	{ 0x74142f94, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xdba7c88e, "noop_llseek" },
	{ 0x955bac21, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe393ae4b, "kernfs_find_and_get_ns" },
	{ 0x6b8a63ca, "debugfs_remove" },
	{ 0x436e0c7a, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ee3327e, "driver_unregister" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc53f53b, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc395e137, "devm_release_action" },
	{ 0x1b834679, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3977b715, "device_for_each_child_reverse_from" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1e672f87, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd7ee08d3, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x85abd9f6, "kernfs_put" },
	{ 0x9ebc8fcc, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c91926d, "seq_printf" },
	{ 0x1d712035, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd1e3d488, "pci_walk_bus" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc9f26fdb, "__devm_add_action" },
	{ 0x40d2ad13, "pci_find_dvsec_capability" },
	{ 0x99b8ad41, "device_find_child_by_name" },
	{ 0xff377c20, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x9c7072d6, "pci_write_config_word" },
	{ 0x24d155ca, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf3e4a5ce, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9cddc70d, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12c36976, "pci_bus_type" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0xcf475f3b, "bus_register" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "397646B2A9B9B97F87BC9D1");
