#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(extcon_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_get_extcon_dev, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(extcon_find_edev_by_node, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_by_phandle, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_name, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_allocate, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_register_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_register_notifier_all, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier_all, "", "");

SYMBOL_CRC(extcon_sync, 0xdcc7385f, "_gpl");
SYMBOL_CRC(extcon_get_state, 0xa7718230, "_gpl");
SYMBOL_CRC(extcon_set_state, 0xf9770e48, "_gpl");
SYMBOL_CRC(extcon_set_state_sync, 0x1c0f5572, "_gpl");
SYMBOL_CRC(extcon_get_property, 0x3a47c3b5, "_gpl");
SYMBOL_CRC(extcon_set_property, 0x00e7632b, "_gpl");
SYMBOL_CRC(extcon_set_property_sync, 0x00c24c8a, "_gpl");
SYMBOL_CRC(extcon_get_property_capability, 0x75303525, "_gpl");
SYMBOL_CRC(extcon_set_property_capability, 0xe2933ab5, "_gpl");
SYMBOL_CRC(extcon_get_extcon_dev, 0xd210a655, "_gpl");
SYMBOL_CRC(extcon_register_notifier, 0xdbc42eed, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier, 0x8c4b3f58, "_gpl");
SYMBOL_CRC(extcon_register_notifier_all, 0x82a9a6c3, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier_all, 0xe39f61ef, "_gpl");
SYMBOL_CRC(extcon_dev_free, 0x8cf88608, "_gpl");
SYMBOL_CRC(extcon_dev_register, 0xb7d5bb0c, "_gpl");
SYMBOL_CRC(extcon_dev_unregister, 0x6b9b68ef, "_gpl");
SYMBOL_CRC(extcon_find_edev_by_node, 0xb522f671, "_gpl");
SYMBOL_CRC(extcon_get_edev_by_phandle, 0xcd2b33ab, "_gpl");
SYMBOL_CRC(extcon_get_edev_name, 0x74e5c593, "_gpl");
SYMBOL_CRC(devm_extcon_dev_allocate, 0x5c037ac6, "_gpl");
SYMBOL_CRC(devm_extcon_dev_free, 0xf5777466, "_gpl");
SYMBOL_CRC(devm_extcon_dev_register, 0xe9d73983, "_gpl");
SYMBOL_CRC(devm_extcon_dev_unregister, 0x9c8b2c4b, "_gpl");
SYMBOL_CRC(devm_extcon_register_notifier, 0x9225092c, "");
SYMBOL_CRC(devm_extcon_unregister_notifier, 0x64b7a83f, "");
SYMBOL_CRC(devm_extcon_register_notifier_all, 0x25db31d7, "");
SYMBOL_CRC(devm_extcon_unregister_notifier_all, 0xebc8b354, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0x3b66ec41, "of_node_put" },
	{ 0xee3cc291, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x217e2f8a, "device_match_of_node" },
	{ 0x37a26975, "device_unregister" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x74102978, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x90d1023c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0x8aac90c5, "devres_add" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x99dbcb64, "put_device" },
	{ 0x9968f479, "devres_release" },
	{ 0xd64a2d5d, "kobject_uevent_env" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x4fd0f485, "__of_parse_phandle_with_args" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf6c846f1, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x680c68d3, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xff909391, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xc073b2fe, "kobject_uevent" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C3D21868AD380189738579");
