#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x6154e87d, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x16e8a8b8, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x9737a7fc, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x6080d792, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xc681a767, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x415e9ebc, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xd96ab51d, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xa6e2bc2e, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x88d98c92, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x4f9ae0d4, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xcdb143d7, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x9bb73ef9, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x17a52b02, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xf9089ab4, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xfa10e65b, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xf904dc60, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x8751793c, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x3d567893, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x7fe030e8, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xb046507a, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x68d8dce7, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x28fe643c, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x4c6205a3, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x872de5c4, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x6b53e216, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x63a477fb, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0x23961837, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x68897c4a, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x3927914f, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xd5cbed63, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x2b9ec69f, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x6ed67eaf, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x601bb68a, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xc6c775a4, "");
SYMBOL_CRC(drm_dp_aux_init, 0x3ebc7341, "");
SYMBOL_CRC(drm_dp_aux_register, 0x843ba972, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x90711ee5, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x7b4e8539, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xa603be02, "");
SYMBOL_CRC(drm_dp_read_desc, 0x5b8ba009, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x445320e3, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x8c8e504b, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xa312bca5, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x11802aae, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xacaa5ee5, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x3b002de8, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x7ff25ef7, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x2ebb37c0, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x6c26da1e, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xb03f0b73, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x62f1a301, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xe14058a2, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x3d71289b, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x29c67a4a, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xfb2bb509, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xc44fb356, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x1a000f22, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x9cb832ba, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x9bd18e63, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x4c8eedd3, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x4491b63f, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xdc94cfee, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xbb497785, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0xfa13e13a, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xf56fec96, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x59f82ea0, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xc5e4905f, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x17454066, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x5c3914b7, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x334cc25a, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xbee83711, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x612cdbde, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xf4eb8440, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xaa4fba96, "");
SYMBOL_CRC(drm_dp_remove_payload, 0x91f01b16, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xc37f45eb, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xc7cfdaa4, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x08efe76f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xe30019bb, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x99329bad, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xae22e0bd, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x22ab6b2d, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x26764e39, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x116c13dd, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x33ccbace, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xe62c72e6, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xec5a9815, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x1ceabd49, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x7682552f, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x618004b2, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x2f28caac, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x348c974f, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x440d0b82, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x23515b30, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x22f3f71c, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x1718915e, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x0e223349, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x31d805c5, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x4a94d849, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x49f9a0d6, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xb5dd798f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x141e8aac, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x726a127a, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x9fb7983e, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xf389ff80, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x0865f9ef, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x7ee2fdab, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x323e0d69, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x4cad09b6, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xcf7033ae, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x998256f4, "");
SYMBOL_CRC(drm_scdc_read, 0x49c9364f, "");
SYMBOL_CRC(drm_scdc_write, 0x4d3005ec, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x387ab859, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x97bf05b3, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xb26de1da, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x90608f5c, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x9ab67cbe, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x4cc2436b, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xfbd1ec49, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x534f6693, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb66d0f6, "drm_crtc_add_crc_entry" },
	{ 0xc01f9f7c, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb27f087e, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5cc7849f, "drm_connector_register" },
	{ 0x4cd84fe6, "cec_transmit_attempt_done_ts" },
	{ 0x4dfce85c, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x603dbb08, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd07bf0fb, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x74102978, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x13467cc1, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x35c68066, "cec_s_conn_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6a122541, "cec_s_phys_addr_from_edid" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6e532b4, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x24ba9a34, "drm_mode_object_put" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x51d46a1a, "request_firmware_direct" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x8f44e3ec, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x67f8634c, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x24802a6b, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x229354a4, "drm_dev_printk" },
	{ 0xfce70b7, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x43341152, "drm_atomic_get_crtc_state" },
	{ 0x833dde4c, "drm_crtc_wait_one_vblank" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x712eecf4, "drm_modeset_lock" },
	{ 0x4a9aea89, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5a274e5b, "device_create" },
	{ 0xf6c846f1, "class_create" },
	{ 0xa110d030, "drm_modeset_lock_single_interruptible" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd84548, "fixed_size_llseek" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb2a56500, "drm_crtc_commit_wait" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf25340ae, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xed4a2709, "cec_unregister_adapter" },
	{ 0x14fed05a, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x732202b9, "drm_atomic_get_old_private_obj_state" },
	{ 0xc233d412, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xbac09f55, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf74cc6b4, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x40624559, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x8be188ee, "drm_kms_helper_hotplug_event" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x622f878f, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdafc17af, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c91926d, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfd71ff07, "_copy_from_iter" },
	{ 0x69dc4191, "i2c_transfer" },
	{ 0x6fc4cd51, "drm_display_mode_from_cea_vic" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x26c0d878, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2fcbe3c0, "cec_fill_conn_info_from_drm" },
	{ 0xa9691dd9, "drm_sysfs_connector_property_event" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x962818c6, "cec_received_msg_ts" },
	{ 0x8248e5f2, "param_ops_int" },
	{ 0xc307fc73, "_dev_printk" },
	{ 0xbfbf4828, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x61b5e065, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x3b194572, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x7c9646fc, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8cd8162e, "cec_register_adapter" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "9B956B9E7A104564C4A3728");
