#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0xae956dce, "");
SYMBOL_CRC(mult_to_ib_rate, 0xe7b52e5f, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x61d24c52, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xcabf6910, "");
SYMBOL_CRC(__ib_alloc_pd, 0xf5294d45, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x2bd33579, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x2f9de94a, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x61126162, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xc6a1389c, "");
SYMBOL_CRC(rdma_create_ah, 0xf502e4a7, "");
SYMBOL_CRC(rdma_create_user_ah, 0x7e2fd102, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x8c053593, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x0a107301, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x6e39e164, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x7bdc5ddd, "");
SYMBOL_CRC(rdma_modify_ah, 0x49de22e6, "");
SYMBOL_CRC(rdma_query_ah, 0x0cc65951, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xdae038a3, "");
SYMBOL_CRC(ib_create_srq_user, 0x855d5645, "");
SYMBOL_CRC(ib_modify_srq, 0x30026043, "");
SYMBOL_CRC(ib_query_srq, 0x5ba27420, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x9e160b1c, "");
SYMBOL_CRC(ib_open_qp, 0x334f36a0, "");
SYMBOL_CRC(ib_create_qp_user, 0x11119c3f, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x4dd0bf4b, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x4ef86cc1, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x3b6e16b0, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xd5e31ced, "");
SYMBOL_CRC(ib_get_eth_speed, 0xdcf67bc9, "");
SYMBOL_CRC(ib_modify_qp, 0x89b124e7, "");
SYMBOL_CRC(ib_query_qp, 0xfe80c880, "");
SYMBOL_CRC(ib_close_qp, 0xdc8450f9, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xbd7a0ab3, "");
SYMBOL_CRC(__ib_create_cq, 0xa5de1e9a, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x34fe81a6, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x1badb0b2, "");
SYMBOL_CRC(ib_resize_cq, 0x6a62873b, "");
SYMBOL_CRC(ib_reg_user_mr, 0xf2708a4a, "");
SYMBOL_CRC(ib_advise_mr, 0xfb862003, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x38a2c872, "");
SYMBOL_CRC(ib_alloc_mr, 0x08d1e30e, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x09feeea0, "");
SYMBOL_CRC(ib_attach_mcast, 0x5205ebf6, "");
SYMBOL_CRC(ib_detach_mcast, 0xc369989f, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xb79d09e7, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x97b4569e, "");
SYMBOL_CRC(ib_create_wq, 0x64f9f1d0, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x6fcf3db0, "");
SYMBOL_CRC(ib_check_mr_status, 0x9bd3c55a, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x619a4e50, "");
SYMBOL_CRC(ib_get_vf_config, 0xabef9262, "");
SYMBOL_CRC(ib_get_vf_stats, 0xb152de21, "");
SYMBOL_CRC(ib_set_vf_guid, 0x8c116040, "");
SYMBOL_CRC(ib_get_vf_guid, 0xcd2fd054, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x0d61026b, "");
SYMBOL_CRC(ib_map_mr_sg, 0x96cf1574, "");
SYMBOL_CRC(ib_sg_to_pages, 0x57f41a86, "");
SYMBOL_CRC(ib_drain_sq, 0xd52ab367, "");
SYMBOL_CRC(ib_drain_rq, 0xe44220ba, "");
SYMBOL_CRC(ib_drain_qp, 0xb1e6a673, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x09c14cb0, "");
SYMBOL_CRC(rdma_init_netdev, 0x251771db, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0x32575aba, "");
SYMBOL_CRC(__ib_alloc_cq, 0xb6d73bc2, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xdccab395, "");
SYMBOL_CRC(ib_free_cq, 0x9654dbfd, "");
SYMBOL_CRC(ib_cq_pool_get, 0x43a7dd38, "");
SYMBOL_CRC(ib_cq_pool_put, 0x573fd736, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x964bb855, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x94416cb7, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x79f84c1b, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x0eb5e607, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xb412372d, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xd4fe3332, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x35e4fc75, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x76ac30a4, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x205d425b, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xa1cc4486, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x9575df89, "");
SYMBOL_CRC(ibdev_printk, 0x756de10c, "");
SYMBOL_CRC(ibdev_emerg, 0x8a242b87, "");
SYMBOL_CRC(ibdev_alert, 0x5073e425, "");
SYMBOL_CRC(ibdev_crit, 0xdf85db96, "");
SYMBOL_CRC(ibdev_err, 0x3a1cfa12, "");
SYMBOL_CRC(ibdev_warn, 0x48daa0d1, "");
SYMBOL_CRC(ibdev_notice, 0xbe4b192b, "");
SYMBOL_CRC(ibdev_info, 0x1c48f5fd, "");
SYMBOL_CRC(ib_device_put, 0xb2a89d19, "");
SYMBOL_CRC(ib_device_get_by_name, 0xc9b4066d, "");
SYMBOL_CRC(_ib_alloc_device, 0xc1eef513, "");
SYMBOL_CRC(ib_dealloc_device, 0x2f4e40e7, "");
SYMBOL_CRC(ib_port_immutable_read, 0x22ca40fb, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xbd4a2c08, "");
SYMBOL_CRC(ib_register_device, 0x162ea4ef, "");
SYMBOL_CRC(ib_unregister_device, 0xc604c00d, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x97fca9c6, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x34bf2b9c, "");
SYMBOL_CRC(ib_register_client, 0x9e1f3d46, "");
SYMBOL_CRC(ib_unregister_client, 0xf166f068, "");
SYMBOL_CRC(ib_set_client_data, 0xe2cd3f5d, "");
SYMBOL_CRC(ib_register_event_handler, 0xda0fa709, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x8bdbe6ef, "");
SYMBOL_CRC(ib_query_port, 0x7fcdf3f9, "");
SYMBOL_CRC(ib_device_set_netdev, 0xaad2491b, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x31d03cb5, "");
SYMBOL_CRC(ib_query_pkey, 0x9db15b6f, "");
SYMBOL_CRC(ib_modify_device, 0x7ebfdcd3, "");
SYMBOL_CRC(ib_modify_port, 0x4d53f902, "");
SYMBOL_CRC(ib_find_gid, 0x02d8df15, "");
SYMBOL_CRC(ib_find_pkey, 0x52042d3f, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xf8ec1943, "");
SYMBOL_CRC(ib_set_device_ops, 0x43b870e1, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xaf294ae3, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xe97a6058, "");
SYMBOL_CRC(rdma_query_gid, 0xde4ff6a5, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x39349a47, "");
SYMBOL_CRC(rdma_find_gid, 0x11b41207, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xd8185fe6, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x2ba3a338, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x62c327be, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xae77074b, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x8466c871, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xc4d540fb, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xd1c251b3, "");
SYMBOL_CRC(rdma_query_gid_table, 0xc470e091, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x0cb49b6e, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x7adee909, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xfe6056e3, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xba69869c, "");
SYMBOL_CRC(ib_dispatch_event, 0x3ff8839b, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x247e6ddd, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xacb090a0, "");
SYMBOL_CRC(ibnl_put_attr, 0xd520724e, "");
SYMBOL_CRC(rdma_nl_unicast, 0x15ac7271, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xca37eadc, "");
SYMBOL_CRC(rdma_nl_multicast, 0x41c309a3, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x4cca084e, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0xb0633749, "");
SYMBOL_CRC(ib_mr_pool_get, 0x70211078, "");
SYMBOL_CRC(ib_mr_pool_put, 0xeb75bf74, "");
SYMBOL_CRC(ib_mr_pool_init, 0xe9d9469b, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x858e232b, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xd7ea83cd, "");
SYMBOL_CRC(rdma_translate_ip, 0xec3384aa, "");
SYMBOL_CRC(rdma_resolve_ip, 0xb6183570, "");
SYMBOL_CRC(rdma_addr_cancel, 0xf916ca6e, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x42c01e14, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xee0ad5da, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x719ef362, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x837cc788, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x3dea443f, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x10362a24, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xea17a87d, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xe68bfb5d, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x6634f13f, "");
SYMBOL_CRC(ib_create_send_mad, 0xa59947a0, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xef7b5ac5, "");
SYMBOL_CRC(ib_free_send_mad, 0xd71284f0, "");
SYMBOL_CRC(ib_post_send_mad, 0xf4b17a4d, "");
SYMBOL_CRC(ib_free_recv_mad, 0x8ba798a1, "");
SYMBOL_CRC(ib_modify_mad, 0x780c9401, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x1a2818e6, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x8c3cc2b6, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xa8e1c140, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x0b1f87a8, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xc2705341, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x889aeb56, "");
SYMBOL_CRC(rdma_link_register, 0x7261ca43, "");
SYMBOL_CRC(rdma_link_unregister, 0x6b8e7145, "");
SYMBOL_CRC(rdma_restrack_count, 0xe1c220e6, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xf625a17a, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x47a15e8c, "");
SYMBOL_CRC(rdma_restrack_new, 0x5fc2a0b9, "");
SYMBOL_CRC(rdma_restrack_add, 0xb1fa4acc, "");
SYMBOL_CRC(rdma_restrack_get, 0x72cc832d, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xbd8a9353, "");
SYMBOL_CRC(rdma_restrack_put, 0x807325a2, "");
SYMBOL_CRC(rdma_restrack_del, 0xa63273e1, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x7101f441, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x88be4ecf, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x677b6710, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xa08c62c9, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xe916fec5, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x4f2e517a, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x77b2db7f, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xf104a407, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x2d79c1c4, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x7e06ac43, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7bf59275, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x31727dc7, "rdmacg_try_charge" },
	{ 0x35f92a69, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4cac5836, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe384d9d5, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7406d153, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xee3cc291, "dev_set_name" },
	{ 0x2adf87b4, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0x8d3ca6f4, "__ip_dev_find" },
	{ 0x6d35053f, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x936c209c, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xa09aaa01, "kobject_init" },
	{ 0x9e418551, "device_initialize" },
	{ 0x40edae7c, "__dynamic_ibdev_dbg" },
	{ 0x6b390555, "sysfs_create_groups" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x219a83b0, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x5b0d8e53, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x524d3a13, "__netlink_kernel_create" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbc151e05, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8cf58520, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x90d1023c, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x60427365, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x292f1135, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x4fd369da, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x49f23a79, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x99dbcb64, "put_device" },
	{ 0x83d32718, "netlink_broadcast" },
	{ 0x93480ae5, "net_ns_type_operations" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0x8886e993, "netlink_capable" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xc6cbbc89, "capable" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd555abd4, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xa46f3638, "vlan_dev_real_dev" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x3fc1d995, "init_net" },
	{ 0x172382f4, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x25f8edd3, "ipv6_stub" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4d51a88e, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x736809e8, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9ef65c49, "dev_get_by_index" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12e5e082, "nla_put" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x515c503d, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2a4388bd, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xb68a5794, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3f874f64, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x7b60b597, "bpf_trace_run1" },
	{ 0x1b834679, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe5e1d8c5, "netdev_get_xmit_slave" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xb6bdddb2, "__neigh_event_send" },
	{ 0x38bf43d0, "dev_printk_emit" },
	{ 0x40b90ffd, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x299f9a8, "skb_trim" },
	{ 0x4c0b6e26, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x4fbbae60, "netdev_walk_all_upper_dev_rcu" },
	{ 0x1e672f87, "bpf_trace_run3" },
	{ 0xc000fbcb, "__put_net" },
	{ 0xfd2087d6, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb650212, "neigh_destroy" },
	{ 0x54610439, "kobject_del" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0x29d26dd4, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb54c5fe0, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x12c9c682, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3782be1f, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xef84c76b, "dst_release" },
	{ 0xc073b2fe, "kobject_uevent" },
	{ 0x95dbe25b, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x666a5991, "vlan_dev_vlan_id" },
	{ 0x254407d5, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x43098f45, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x8248e5f2, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9c8d6592, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x5b292bf5, "register_pernet_device" },
	{ 0x31b32c1a, "get_net_ns_by_fd" },
	{ 0x86c1cf09, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe716d3f7, "kobject_put" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8319A1D0758B80AF970A2A4");
