#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xa3a0331d, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xa28e76db, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xdba76236, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x40339b63, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x087f5576, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xdc6fafff, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x9b440828, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xbabac7bf, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x27000fb4, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xdccd9ae5, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xe866068a, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x05ffdb68, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x3fbc63dd, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xc4212960, "_gpl");
SYMBOL_CRC(mtd_erase, 0xd416c213, "_gpl");
SYMBOL_CRC(mtd_point, 0x0b56391c, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xa1226aa6, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x199ac5b9, "_gpl");
SYMBOL_CRC(mtd_read, 0xc6eb85e8, "_gpl");
SYMBOL_CRC(mtd_write, 0x8dcf4ae6, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xe5864fc2, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x02abac8a, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x05598544, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x358bec10, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xd29e43d2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x246bad0a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x4d482629, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xf1aac5b1, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x07091d9b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xdff88b88, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x42826f51, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xda089cfd, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x0d2bd70f, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x0a3365d5, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x128472a7, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x7f15a306, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x00fd58e1, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xfcd389df, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xd7224804, "_gpl");
SYMBOL_CRC(mtd_lock, 0x67a733ac, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x73a662fb, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x889dae39, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xfc45e215, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xcd20a3d0, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x684a0794, "_gpl");
SYMBOL_CRC(mtd_writev, 0x08c5d42d, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xfedb056d, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xc3efdff5, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x150c1f85, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x406019a7, "");
SYMBOL_CRC(mtd_concat_destroy, 0xf3231744, "");
SYMBOL_CRC(mtd_add_partition, 0xd779121f, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x9a0b6c70, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x6b341f0b, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x3e9a03a7, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xaf7ea0a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15404c4, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2d20602c, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3b66ec41, "of_node_put" },
	{ 0x26381980, "sget_dev" },
	{ 0xd98bcccd, "bdi_unregister" },
	{ 0xee3cc291, "dev_set_name" },
	{ 0x6e508343, "of_get_compatible_child" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1f36547e, "bdi_register" },
	{ 0x466b06b2, "of_node_name_prefix" },
	{ 0x37a26975, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa759bc5c, "of_node_get" },
	{ 0xd46a0cea, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x31721b1d, "sysfs_remove_files" },
	{ 0xc048b3ab, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x155507e9, "bdi_put" },
	{ 0x6bc4f0f4, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x99dbcb64, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x893f38f5, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf9bb9c7b, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xfde74d77, "debugfs_create_bool" },
	{ 0x94a1bb8e, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5a274e5b, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6b8a63ca, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xbd84548, "fixed_size_llseek" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x88a2fd4a, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x97da03f2, "of_find_property" },
	{ 0x2a4388bd, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5851052, "bdi_alloc" },
	{ 0xff909391, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc0c7e48d, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x622f878f, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdafc17af, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf51eefe1, "remove_proc_entry" },
	{ 0xf607515d, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c91926d, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2a43c2ec, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb2c2bc77, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x26c0d878, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x984059c2, "dev_err_probe" },
	{ 0x498d9318, "proc_create_single_data" },
	{ 0x57370043, "nvmem_register" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x24d155ca, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f73c759, "of_platform_populate" },
	{ 0x86c1cf09, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
