#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x9d53f0de, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xaf6586b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5ed8eccc, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbcf88ca7, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe8765eb5, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x72d2df20, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9861011, "netif_carrier_on" },
	{ 0x67b12fa8, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12e5e082, "nla_put" },
	{ 0x4c01626b, "from_kgid_munged" },
	{ 0x26c4c7bb, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa9031254, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x673b8809, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbc299929, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x46d91352, "rtnl_link_register" },
	{ 0x6dec06ea, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1c8b65de, "rtnl_link_unregister" },
	{ 0x47226155, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb76209a, "xdp_return_frame" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xadaa80b1, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xff6c4412, "__folio_put" },
	{ 0xfcbfaadd, "__put_devmap_managed_page_refs" },
	{ 0xf5359a9b, "dump_page" },
	{ 0x875fa65, "napi_gro_receive" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0xc4c99d85, "build_skb" },
	{ 0x7406d153, "skb_put" },
	{ 0xed90b56d, "skb_set_owner_w" },
	{ 0xce1678a4, "bpf_prog_put" },
	{ 0x2e9ff725, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf25ff70d, "sock_init_data_uid" },
	{ 0x355f7003, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaf41fb19, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9959bdb4, "napi_get_frags" },
	{ 0x337b4b34, "iov_iter_single_seg_count" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xedede936, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x89b42da0, "xdp_rxq_info_unreg" },
	{ 0x313dd7cc, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x893f38f5, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x85430f9b, "netif_set_real_num_tx_queues" },
	{ 0x48718657, "netif_set_real_num_rx_queues" },
	{ 0xe00b29d5, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb2c4e814, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x90a1b80f, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6254a2d1, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6e7e37bb, "__skb_flow_dissect" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xb1822ca2, "xdp_rxq_info_is_reg" },
	{ 0x73da223a, "__xdp_rxq_info_reg" },
	{ 0xcc665c78, "xdp_rxq_info_reg_mem_model" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0x7798cb64, "lock_sock_nested" },
	{ 0x169d6fd7, "sk_attach_filter" },
	{ 0x3a2b6bef, "release_sock" },
	{ 0xeda9f44d, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x4fd369da, "alloc_netdev_mqs" },
	{ 0xe3c58cc3, "ip_tunnel_header_ops" },
	{ 0x1f1454e8, "register_netdevice" },
	{ 0xf4d3b70, "netif_tx_wake_queue" },
	{ 0x14fc8b3b, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3af0ee97, "dev_addr_mod" },
	{ 0x5693262a, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x4f5c3789, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c91926d, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9a0527ff, "skb_copy_datagram_iter" },
	{ 0xb27f087e, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x98fdfeb1, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5b66f7d4, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x79f4904f, "sock_recv_errqueue" },
	{ 0x5416f1eb, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x351ec377, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfebb4552, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x2cb49dfa, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7a54fd11, "skb_copy_ubufs" },
	{ 0x13a005f6, "__skb_get_hash_symmetric" },
	{ 0xbb8fde4b, "___pskb_trim" },
	{ 0xeae2069, "xdp_do_redirect" },
	{ 0x31608c09, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x992327bf, "__traceiter_xdp_exception" },
	{ 0x4f5e864e, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x60a5b4af, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x76cbcfef, "__page_frag_cache_drain" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0xb7269995, "xdp_master_redirect" },
	{ 0x51394a2b, "do_xdp_generic" },
	{ 0x9d1623ad, "skb_page_frag_refill" },
	{ 0x9cf1ea1, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xfd71ff07, "_copy_from_iter" },
	{ 0x82214e5b, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe6f403f8, "skb_copy_datagram_from_iter" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0x598269cc, "sock_alloc_send_pskb" },
	{ 0x3cafa8bc, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0xbcf4cfb, "eth_get_headlen" },
	{ 0x620458d8, "napi_gro_frags" },
	{ 0xbfbf4828, "iov_iter_revert" },
	{ 0xeac76b74, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xd5723f5e, "dev_get_mac_address" },
	{ 0xcc1986b, "get_net_ns" },
	{ 0xb6764c7e, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd4f6c716, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xefea7ec5, "netdev_update_features" },
	{ 0x3ad363a9, "make_kgid" },
	{ 0xf7205322, "make_kuid" },
	{ 0xe6e84987, "init_user_ns" },
	{ 0x2acf5f88, "from_kuid" },
	{ 0x894b6790, "dev_set_mac_address_user" },
	{ 0xa458a0a6, "call_netdevice_notifiers" },
	{ 0x7f82244b, "from_kgid" },
	{ 0xc048b3ab, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe7c53802, "ethtool_op_get_link" },
	{ 0xadf8cff9, "ethtool_op_get_ts_info" },
	{ 0x7e3b6d5a, "passthru_features_check" },
	{ 0xd33d220a, "eth_mac_addr" },
	{ 0xde81ab23, "eth_validate_addr" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D5C32AED1E04F3C2E9DA85B");
