#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x09804503, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xfcabddd3, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x3eb884dd, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xf2f6228e, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xfecfb1db, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x0c1a256a, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x078f0f08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x48f4c62f, "mt76_init_sar_power" },
	{ 0xd84c1a6, "mt76x02_phy_adjust_vga_gain" },
	{ 0x6c30c554, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0xf715883, "mt76x02_mac_shared_key_setup" },
	{ 0xa2ffb9c7, "mt76x02_ext_pa_enabled" },
	{ 0x3bd36ca1, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0xa78d8488, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x77b504ac, "ieee80211_queue_delayed_work" },
	{ 0xb5aca7be, "mt76_eeprom_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0xb660f0d0, "mt76x02_mac_setaddr" },
	{ 0x31b7ebba, "mt76_register_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd6b8a803, "mt76x02_phy_set_bw" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cf91076, "mt76x02_phy_set_band" },
	{ 0xfeaf350f, "mt76_set_channel" },
	{ 0xade5342, "mt76x02_init_device" },
	{ 0x34e56b6f, "ieee80211_wake_queues" },
	{ 0x8434d4a9, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf1d9e354, "mt76x02_phy_set_rxpath" },
	{ 0x2797e7ca, "mt76x02_edcca_init" },
	{ 0xda0452cc, "mt76_eeprom_override" },
	{ 0xe8fc87fb, "mt76x02_get_lna_gain" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x1a826330, "mt76x02_init_debugfs" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3f78ca22, "ieee80211_stop_queues" },
	{ 0xd16b2bb5, "mt76x02_mac_cc_reset" },
	{ 0x3f79e897, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xa2423c3c, "mt76_txq_schedule_all" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f5583be, "____mt76_poll_msec" },
	{ 0x53ef62a, "mt76x02_dfs_init_params" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb9d78c4a, "mt76x02_config_mac_addr_list" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8308e25, "mt76_get_sar_power" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5a952b5b, "mt76x02_eeprom_copy" },
	{ 0x7f5ab159, "mt76x02_mcu_calibrate" },
	{ 0x4b140c55, "mt76x02_mcu_function_select" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x717cee9f, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x30741b0d, "mt76x02_mac_wcid_setup" },
	{ 0xa7bc1415, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xad7994f2, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x16bc0e7d, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");
