#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x0ade5342, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x54e38c5e, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x0a23371e, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x37535ca6, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x90be0550, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x05986957, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x5a013d6d, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xbdfab92a, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x1db8b9ac, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x2d8275fa, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x5c42d186, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x833cdff9, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x23fed6df, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x5b703d72, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xac0c2fc3, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x0b647d76, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x1d7d383c, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xb9d78c4a, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x99fa40ed, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x0f715883, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x30741b0d, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x0625dbe5, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xb660f0d0, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x9710f829, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x3955cfbc, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x2797e7ca, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xd16b2bb5, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xd6335798, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xf1b531a1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x4b140c55, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x4bbea35f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x7f5ab159, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xae0c7cc2, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x7a5dae9b, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x5a952b5b, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x3bd36ca1, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x8434d4a9, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xa2ffb9c7, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xa78d8488, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xe8fc87fb, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xf1d9e354, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xad7994f2, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x717cee9f, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xd6b8a803, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x1cf91076, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x0d84c1a6, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x3f79e897, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xe3900562, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x7ef454e3, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x94675beb, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x42e5561a, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xe63fccab, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x86a8c659, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x9e749c32, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x260ecd61, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x86bf71a4, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x3c396428, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x9d12455c, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x1a826330, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x6c30c554, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x053ef62a, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x0488e3d6, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xf2ec74a6, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x307f01ef, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x2390b72b, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xc9af8845, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2e68cd7, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x16de75f8, "__traceiter_mac_txdone" },
	{ 0xd88898ac, "mt76_dma_rx_poll" },
	{ 0x7a22db8c, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd59c7cd0, "simple_attr_open" },
	{ 0xad056c6, "debugfs_attr_write" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56e23a6a, "mt76_tx_status_skb_get" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0xe1c8b1fe, "mt76_tx_status_lock" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0xcde3c694, "mt76_csa_check" },
	{ 0x3b5456f, "mt76_tx_status_skb_add" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x79a8b41a, "__traceiter_dev_irq" },
	{ 0xe6561c91, "mt76_tx_check_agg_ssn" },
	{ 0x6a537042, "ieee80211_tx_status_ext" },
	{ 0xf9cd668e, "mt76_stop_tx_queues" },
	{ 0xbb8fde4b, "___pskb_trim" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2b337b3c, "__mt76_tx_complete_skb" },
	{ 0x14ed4ace, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24249e95, "ieee80211_restart_hw" },
	{ 0xbc151e05, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xaeed98a1, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6bf3b180, "kthread_park" },
	{ 0x9a592d82, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x503f54d7, "mt76_wcid_init" },
	{ 0xd91e1fbf, "mt76_tx_status_check" },
	{ 0x7c6a62c7, "wake_up_process" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0x56f6cd48, "ieee80211_get_buffered_bc" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0xf7c84d9c, "ieee80211_get_tx_rates" },
	{ 0xe8d18ec1, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4a75620, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x74c4a427, "mt76_tx" },
	{ 0xeac76b74, "__napi_schedule" },
	{ 0xdd07f83a, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xfcc30d9e, "mt76_wcid_key_setup" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0xa290f182, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x2f05bb22, "mt76_rx" },
	{ 0xae6c0e6a, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x81859c0, "mt76_phy_dfs_state" },
	{ 0x82828059, "wiphy_to_ieee80211_hw" },
	{ 0xb3542e69, "mt76_init_queue" },
	{ 0x875046ba, "debugfs_attr_read" },
	{ 0x8fb6c875, "__mt76_sta_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x1181c1d9, "mt76_tx_status_skb_done" },
	{ 0x77b504ac, "ieee80211_queue_delayed_work" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0xfde74d77, "debugfs_create_bool" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2456d8d6, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0x9600dbdf, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x34e56b6f, "ieee80211_wake_queues" },
	{ 0x875e555, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd6f31eed, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xac18143a, "__mt76_mcu_msg_alloc" },
	{ 0x8cac1786, "mt76_set_irq_mask" },
	{ 0x7b60b597, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x76cbf6ff, "ieee80211_calc_tx_airtime" },
	{ 0x4906f3e8, "debugfs_create_u32" },
	{ 0x2ac74425, "mt76_seq_puts_array" },
	{ 0x3f78ca22, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x5f3d4522, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeb1adf6b, "mt76_mcu_get_response" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x40162ad5, "debugfs_create_file" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0x697ad8c, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa2423c3c, "mt76_txq_schedule_all" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x77017cad, "mt76_rx_aggr_start" },
	{ 0x4f5583be, "____mt76_poll_msec" },
	{ 0x8c91926d, "seq_printf" },
	{ 0xc2b7d830, "ieee80211_beacon_get_tim" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x655792d, "mt76_wcid_cleanup" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x26c0d878, "seq_puts" },
	{ 0xa0caa7a1, "ieee80211_radar_detected" },
	{ 0xeb0f651d, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf4c82d47, "mt76_queues_read" },
	{ 0xd20ac90, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0xedede936, "napi_disable" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0xa7bc1415, "__mt76_poll" },
	{ 0xdd006beb, "mt76_rx_aggr_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xa728567b, "debugfs_create_u8" },
	{ 0x1b59b769, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7026a045, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "EA623BBC9C8DFFF3A834226");
