#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x9b1b0b4c, "");
SYMBOL_CRC(rtw_pci_probe, 0x4af2ccb9, "");
SYMBOL_CRC(rtw_pci_remove, 0x605dc4f0, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x94450f85, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5aba6a9e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe9146c90, "rtw_tx_queue_mapping" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb7a9dbec, "pcie_capability_read_word" },
	{ 0x312e94ea, "devm_request_threaded_irq" },
	{ 0xbc9b2acd, "pci_enable_device" },
	{ 0x7406d153, "skb_put" },
	{ 0x459be4e5, "consume_skb" },
	{ 0x1729b1d9, "pci_iomap" },
	{ 0xa25ffece, "pci_alloc_irq_vectors" },
	{ 0x9f905243, "netif_napi_add_weight" },
	{ 0xa054f1bd, "skb_dequeue" },
	{ 0xde178779, "ieee80211_free_hw" },
	{ 0x21431149, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x67fa4db4, "dma_sync_single_for_device" },
	{ 0xa950f8fc, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x536c414b, "dev_kfree_skb_irq_reason" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5c036c7e, "pci_set_power_state" },
	{ 0x313dd7cc, "__netif_napi_del" },
	{ 0x6a5784c2, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfa409c7d, "dev_driver_string" },
	{ 0xe650c6f8, "dma_map_page_attrs" },
	{ 0x469c24e7, "napi_complete_done" },
	{ 0x85ed9f6f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2d8a92e, "devm_free_irq" },
	{ 0xeac76b74, "__napi_schedule" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0x344bce91, "rtw_chip_info_setup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x4558c86, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2be66194, "rtw_unregister_hw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x223552c8, "_dev_err" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa9830b8b, "rtw_tx_fill_tx_desc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0x8a75d11e, "dma_alloc_attrs" },
	{ 0xde4fc08a, "napi_enable" },
	{ 0xf788634d, "rtw_core_init" },
	{ 0xb92874c5, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x877237a0, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9c153f33, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf5ede481, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcbada82e, "pci_set_master" },
	{ 0x29dc9432, "ieee80211_stop_queue" },
	{ 0x979431b, "__netdev_alloc_skb" },
	{ 0x7b04672f, "rtw_rx_stats" },
	{ 0x3084dab5, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xb4f0b697, "rtw_register_hw" },
	{ 0x1e9ca3c3, "dma_free_attrs" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe5b9aae1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd192ec94, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7357ca3e, "rtw_core_deinit" },
	{ 0x6d1bb67, "rtw_ops" },
	{ 0x4934ae2c, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xea3bb277, "napi_schedule_prep" },
	{ 0xedede936, "napi_disable" },
	{ 0x880e65a5, "dev_kfree_skb_any_reason" },
	{ 0x2c4f2cf3, "rtw_power_mode_change" },
	{ 0xfff8a66c, "rtw_tx_write_data_h2c_get" },
	{ 0x1048c507, "pci_free_irq_vectors" },
	{ 0x849c03a3, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd488d0dd, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x52fec969, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");
