#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x5087aa6e, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xee868bb5, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xa63130c5, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x81c2daff, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x5c2444d3, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x228e14e9, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xff432b6b, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x2286f8ff, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x6ba73c5e, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x19bfe6ba, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x6165dcfe, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x6e0f7ef4, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x900b098b, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x9e961df1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x00c60931, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xc2458e16, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x84a4495b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x84559013, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xc33e36b9, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x9a7e1369, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x8516c4f0, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xac062c65, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x2e40a548, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xabdbd9c5, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xeba35d0a, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x178dd864, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xa4d69c35, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xa4515990, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xc0ae5519, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x9ecf0c29, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xebfaa8a3, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x2ac88cfa, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x7c76b992, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x1ec51ba2, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x5a2cb23a, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x46fdfa5e, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x57fa40f6, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xefdcfe13, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x78437d2f, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x77cd3dfa, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xe52feab5, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x9c6b6e44, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x70d4e107, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x731e44aa, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa46f3638, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf853340, "iscsi_host_remove" },
	{ 0x6322457d, "pci_dev_put" },
	{ 0x306742fe, "iscsi_host_free" },
	{ 0x5d4cba21, "pci_dev_get" },
	{ 0x10e3432a, "iscsi_host_add" },
	{ 0xa53b098a, "iscsi_host_alloc" },
	{ 0x88d36686, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x7e64b337, "cxgbi_ppm_init" },
	{ 0xbd52e53f, "iscsi_conn_queue_xmit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe6c5c444, "cxgbi_ppm_ppods_reserve" },
	{ 0x5aead113, "dma_map_sg_attrs" },
	{ 0x98c359e2, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x983ed358, "cxgbi_ppm_ppod_release" },
	{ 0x254407d5, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf90074cd, "__kfree_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0x48f2160a, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc281c27, "iscsi_tcp_set_max_r2t" },
	{ 0x8eb63001, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xeb0fdf79, "iscsi_tcp_conn_setup" },
	{ 0xaffaa40e, "iscsi_session_setup" },
	{ 0x1b55d852, "iscsi_tcp_r2tpool_alloc" },
	{ 0x3ec5d262, "iscsi_session_teardown" },
	{ 0x33265c9e, "iscsi_tcp_r2tpool_free" },
	{ 0x39e1999c, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xc307fc73, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf254410, "iscsi_host_get_param" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5ff792d8, "iscsi_unregister_transport" },
	{ 0x1929ab80, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8643dc9, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe4b23887, "iscsi_register_transport" },
	{ 0x3fc1d995, "init_net" },
	{ 0x7b27afd1, "ip6_route_output_flags" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75ac3551, "iscsi_lookup_endpoint" },
	{ 0x7592184e, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9c56ea1, "iscsi_tcp_hdr_recv_prep" },
	{ 0xefc29d62, "iscsi_put_endpoint" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x427c1d71, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x83abf91f, "iscsi_tcp_recv_skb" },
	{ 0x7406d153, "skb_put" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf5359a9b, "dump_page" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf7205322, "make_kuid" },
	{ 0x8cf58520, "ip_route_output_flow" },
	{ 0xef84c76b, "dst_release" },
	{ 0xfb650212, "neigh_destroy" },
	{ 0x8d3ca6f4, "__ip_dev_find" },
	{ 0x9e6021c6, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb92dc157, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xff6c4412, "__folio_put" },
	{ 0xfcbfaadd, "__put_devmap_managed_page_refs" },
	{ 0x893f38f5, "module_put" },
	{ 0x99553747, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc59adfb4, "iscsi_destroy_endpoint" },
	{ 0xf5b4c41f, "iscsi_create_endpoint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x4dfce85c, "param_ops_uint" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
