#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hisi_sas_get_ata_protocol, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sata_done, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_get_prog_phy_linkrate_mask, "_gpl", "");
KSYMTAB_FUNC(to_hisi_sas_port, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_stop_phys, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_slot_task_free, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_poll_cqs, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_cqs, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_scan_start, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_scan_finished, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_oob_ready, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_release_tasks, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_controller_reset_prepare, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_controller_reset_done, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_down, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_bcast, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_host_reset, "_gpl", "");
KSYMTAB_DATA(hisi_sas_stt, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_init_mem, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_alloc, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_free, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_rst_work_handler, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_rst_work_handler, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_get_fw_info, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_probe, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_remove, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_enable, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_dump_count, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_dir, "_gpl", "");

SYMBOL_CRC(hisi_sas_get_ata_protocol, 0xebfae55c, "_gpl");
SYMBOL_CRC(hisi_sas_sata_done, 0x2627fd72, "_gpl");
SYMBOL_CRC(hisi_sas_get_prog_phy_linkrate_mask, 0x40ac648c, "_gpl");
SYMBOL_CRC(to_hisi_sas_port, 0x976b784c, "_gpl");
SYMBOL_CRC(hisi_sas_stop_phys, 0x52a24064, "_gpl");
SYMBOL_CRC(hisi_sas_slot_task_free, 0x5196ba45, "_gpl");
SYMBOL_CRC(hisi_sas_sync_poll_cqs, 0xe6687e5e, "_gpl");
SYMBOL_CRC(hisi_sas_sync_cqs, 0xc6d2af4a, "_gpl");
SYMBOL_CRC(hisi_sas_slave_alloc, 0xc85ce07b, "_gpl");
SYMBOL_CRC(hisi_sas_slave_configure, 0xe477f9c0, "_gpl");
SYMBOL_CRC(hisi_sas_scan_start, 0xe36f9c0a, "_gpl");
SYMBOL_CRC(hisi_sas_scan_finished, 0x1eb6e0c4, "_gpl");
SYMBOL_CRC(hisi_sas_notify_phy_event, 0x8889d150, "_gpl");
SYMBOL_CRC(hisi_sas_phy_oob_ready, 0xa47a0ec1, "_gpl");
SYMBOL_CRC(hisi_sas_phy_enable, 0x08acf657, "_gpl");
SYMBOL_CRC(hisi_sas_release_tasks, 0x844fbb2a, "_gpl");
SYMBOL_CRC(hisi_sas_controller_reset_prepare, 0x09f98494, "_gpl");
SYMBOL_CRC(hisi_sas_controller_reset_done, 0x31d14f51, "_gpl");
SYMBOL_CRC(hisi_sas_phy_down, 0xfc33a67d, "_gpl");
SYMBOL_CRC(hisi_sas_phy_bcast, 0xcad9c4be, "_gpl");
SYMBOL_CRC(hisi_sas_host_reset, 0xf8e9e8a7, "_gpl");
SYMBOL_CRC(hisi_sas_stt, 0x4fc22123, "_gpl");
SYMBOL_CRC(hisi_sas_init_mem, 0x1c3be58a, "_gpl");
SYMBOL_CRC(hisi_sas_alloc, 0x1dbce469, "_gpl");
SYMBOL_CRC(hisi_sas_free, 0x37ad03b5, "_gpl");
SYMBOL_CRC(hisi_sas_rst_work_handler, 0xec66db2e, "_gpl");
SYMBOL_CRC(hisi_sas_sync_rst_work_handler, 0xa866d136, "_gpl");
SYMBOL_CRC(hisi_sas_get_fw_info, 0xb5558889, "_gpl");
SYMBOL_CRC(hisi_sas_probe, 0xbf31dc8f, "_gpl");
SYMBOL_CRC(hisi_sas_remove, 0xab7446bc, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_enable, 0xe987d9aa, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_dump_count, 0xc3a41131, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_dir, 0xf88588b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x254407d5, "dma_unmap_sg_attrs" },
	{ 0xdcb764ad, "memset" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d316336, "sas_slave_configure" },
	{ 0xc68b1be, "sas_change_queue_depth" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2316991b, "sas_drain_work" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc11cc822, "add_timer" },
	{ 0x7f79e7ae, "scsi_block_requests" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x84df7cbc, "sas_notify_port_event" },
	{ 0xcc89cb3c, "sas_notify_phy_event" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x45529ffd, "__pm_runtime_idle" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x48d47798, "dmam_alloc_attrs" },
	{ 0x2ea5b287, "devm_kmalloc" },
	{ 0xf54bd49b, "lcm" },
	{ 0x7b214d80, "devm_bitmap_zalloc" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x223552c8, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x268b1254, "device_property_read_u8_array" },
	{ 0x1b1c3a96, "syscon_regmap_lookup_by_phandle" },
	{ 0xf468e743, "device_property_read_u32_array" },
	{ 0xb7a2781a, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xe8ac881a, "sas_domain_attach_transport" },
	{ 0x24d155ca, "debugfs_create_dir" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbb148a9e, "sas_get_local_phy" },
	{ 0x56a29ae2, "scsi_is_host_device" },
	{ 0xbeb57401, "sas_phy_reset" },
	{ 0x99dbcb64, "put_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcdefd9ad, "smp_ata_check_ready_type" },
	{ 0x42bcc259, "ata_wait_after_reset" },
	{ 0x23096ce5, "sas_query_task" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xda00ba40, "sas_release_transport" },
	{ 0x6b8a63ca, "debugfs_remove" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xcca32d7c, "sas_execute_internal_abort_dev" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x224c6c5a, "blk_mq_unique_tag" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5aead113, "dma_map_sg_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2bd279fc, "ata_link_next" },
	{ 0xbc8d6608, "sas_execute_ata_cmd" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa5abde95, "sas_lu_reset" },
	{ 0xab071f44, "sas_abort_task_set" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x3a67d4b, "sas_unregister_ha" },
	{ 0x20d8bb61, "sas_remove_host" },
	{ 0x88d36686, "scsi_host_put" },
	{ 0x84a238fd, "scsi_host_alloc" },
	{ 0xa1fea2cd, "dma_set_mask" },
	{ 0x64daeb8f, "dma_set_coherent_mask" },
	{ 0xda92243e, "devm_platform_ioremap_resource" },
	{ 0x4192338b, "platform_get_resource" },
	{ 0xe1044c9e, "devm_ioremap_resource" },
	{ 0x8108c071, "scsi_add_host_with_dma" },
	{ 0x38784589, "sas_register_ha" },
	{ 0xa2317ed5, "scsi_scan_host" },
	{ 0x2d54a9e7, "scsi_remove_host" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x824624d3, "sas_slave_alloc" },
	{ 0xf6de5567, "scsi_unblock_requests" },
	{ 0xa6257a2f, "complete" },
	{ 0xfd2087d6, "_dev_notice" },
	{ 0x3fc35aab, "sas_execute_internal_abort_single" },
	{ 0x27ba550b, "sas_abort_task" },
	{ 0x50b71170, "sas_find_attached_phy_id" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x4dfce85c, "param_ops_uint" },
	{ 0x398e0e7c, "param_ops_bool" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "libsas,scsi_transport_sas");


MODULE_INFO(srcversion, "1569C52406C5D78365E54B0");
