#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd49632ea, "__platform_driver_register" },
	{ 0xbf31dc8f, "hisi_sas_probe" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x40ac648c, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0x8acf657, "hisi_sas_phy_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdcb764ad, "memset" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x976b784c, "to_hisi_sas_port" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8d7f318a, "platform_get_irq" },
	{ 0x312e94ea, "devm_request_threaded_irq" },
	{ 0x223552c8, "_dev_err" },
	{ 0xca811de0, "platform_driver_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4829a47e, "memcpy" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xcad9c4be, "hisi_sas_phy_bcast" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xf1e046cc, "panic" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x470d4636, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xd57c86d1, "regmap_write" },
	{ 0x40b2a279, "regmap_read" },
	{ 0xb854dc60, "__dynamic_dev_dbg" },
	{ 0xfc33a67d, "hisi_sas_phy_down" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0x8889d150, "hisi_sas_notify_phy_event" },
	{ 0xa6257a2f, "complete" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5196ba45, "hisi_sas_slot_task_free" },
	{ 0x21273a47, "sas_ssp_task_response" },
	{ 0xbc575abe, "sas_task_abort" },
	{ 0x8342ace7, "sas_ata_device_link_abort" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x44e2df3e, "sas_queuecommand" },
	{ 0x2922ce0e, "sas_ioctl" },
	{ 0x2a58dc64, "sas_eh_device_reset_handler" },
	{ 0x560ae763, "sas_eh_target_reset_handler" },
	{ 0xc85ce07b, "hisi_sas_slave_alloc" },
	{ 0xe477f9c0, "hisi_sas_slave_configure" },
	{ 0xf144b9e9, "sas_target_alloc" },
	{ 0xa45cd7db, "sas_target_destroy" },
	{ 0x1eb6e0c4, "hisi_sas_scan_finished" },
	{ 0xe36f9c0a, "hisi_sas_scan_start" },
	{ 0xc68b1be, "sas_change_queue_depth" },
	{ 0x70bae011, "ata_scsi_dma_need_drain" },
	{ 0xf1f0de7b, "sas_bios_param" },
	{ 0xf8e9e8a7, "hisi_sas_host_reset" },
	{ 0xab7446bc, "hisi_sas_remove" },
	{ 0x2d601a14, "dev_attr_phy_event_threshold" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "hisi_sas_main,libsas");

MODULE_ALIAS("acpi*:HISI0161:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip05-sas-v1");
MODULE_ALIAS("of:N*T*Chisilicon,hip05-sas-v1C*");

MODULE_INFO(srcversion, "BBE2764751CEFFE51A30EAF");
