#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x38784589, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x03a67d4b, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x99786303, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xbeb57401, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x3a63d4f3, "");
SYMBOL_CRC(sas_resume_ha, 0x85d2692f, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xd50a55df, "");
SYMBOL_CRC(sas_suspend_ha, 0x9a082ca8, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x2d601a14, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xe8ac881a, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x2316991b, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x84df7cbc, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xcc89cb3c, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x50b71170, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x44e2df3e, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xbb148a9e, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xef8b00c5, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x2a58dc64, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x560ae763, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x2922ce0e, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xf144b9e9, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x8d316336, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x0c68b1be, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xf1f0de7b, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x3fc35aab, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xcca32d7c, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0xab071f44, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xf11164cf, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xa5abde95, "_gpl");
SYMBOL_CRC(sas_query_task, 0x23096ce5, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x27ba550b, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xbc575abe, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x824624d3, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xa45cd7db, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xe3630c4c, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x21273a47, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xcdefd9ad, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x52ce4499, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x8342ace7, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xbc8d6608, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5598df7, "ata_qc_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x57230251, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc75082b, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x64a2a416, "bsg_job_done" },
	{ 0x9852c35b, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc3825700, "sas_rphy_unlink" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xa7e57f58, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa11edc0d, "scsi_schedule_eh" },
	{ 0xa74aa450, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd89ee217, "ata_host_init" },
	{ 0x7f645a0f, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc1c0cbb3, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb01dd235, "sas_port_get_phy" },
	{ 0xf376751c, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x1a5b8a27, "kmem_cache_create" },
	{ 0x90d1023c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x42bcc259, "ata_wait_after_reset" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xeb15bfa3, "sas_phy_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x99dbcb64, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb4c296c0, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xc2655774, "kmem_cache_alloc" },
	{ 0x9adad1ae, "_dev_info" },
	{ 0xe52bff13, "sas_phy_free" },
	{ 0x32e9b792, "scsi_eh_finish_cmd" },
	{ 0x74351c37, "ata_noop_qc_prep" },
	{ 0x301cc6bb, "ata_sas_port_alloc" },
	{ 0xf02f8204, "ata_port_schedule_eh" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0xf10cc3ce, "sas_port_add" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc2ace526, "sas_port_mark_backlink" },
	{ 0x31e658c4, "kmem_cache_free" },
	{ 0x8359dfc0, "ata_link_abort" },
	{ 0xbd417484, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x164f136e, "ata_scsi_port_error_handler" },
	{ 0x8000cc4a, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb91f733, "ata_port_probe" },
	{ 0x1408a4b, "ata_std_error_handler" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5fe147ce, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa9c74755, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x25cc4616, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5a607da1, "sas_expander_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xc29ca805, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x70f3f18f, "sas_rphy_delete" },
	{ 0x56a29ae2, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb05d0957, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe1ed9de7, "scsi_host_busy" },
	{ 0x89e90e71, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x59b585bc, "ata_sas_port_suspend" },
	{ 0xee5b8df1, "sas_rphy_add" },
	{ 0x2a48fd6b, "__pm_runtime_resume" },
	{ 0x7d3b31e, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf5f3a910, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3123e32a, "sas_port_add_phy" },
	{ 0x3d922129, "ata_scsi_cmd_error_handler" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x62966b85, "ata_sas_slave_configure" },
	{ 0x8304e52c, "blk_mq_tagset_busy_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x9e22e0ee, "scsi_done" },
	{ 0xf6de5567, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x979034cb, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xaa4f60c3, "ata_host_put" },
	{ 0x7f749768, "sas_port_free" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xd1c3ef29, "ata_std_sched_eh" },
	{ 0x7f79e7ae, "scsi_block_requests" },
	{ 0x593707bf, "blk_abort_request" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x5381955a, "sas_remove_children" },
	{ 0xf8528c16, "scsi_change_queue_depth" },
	{ 0x45529ffd, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe233175a, "ata_port_wait_eh" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x8e9f65cc, "kmem_cache_destroy" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "0778E19128D011B35CDB20B");
