#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa32f5e8e, "dquot_commit" },
	{ 0x5d917e4d, "truncate_inode_pages" },
	{ 0xc1193974, "bh_uptodate_or_lock" },
	{ 0x67a84ef4, "inode_init_owner" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7a93ce4, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0x5efd058d, "clear_nlink" },
	{ 0xb744951d, "generic_block_bmap" },
	{ 0x3604c3ba, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd04cf6a0, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf7e77f3b, "clear_inode" },
	{ 0x95949d6e, "dquot_set_dqinfo" },
	{ 0x197a107a, "dquot_commit_info" },
	{ 0xd589e889, "grab_cache_page_write_begin" },
	{ 0x66b41874, "dquot_disable" },
	{ 0xcb9d3656, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe2f60d32, "dquot_free_inode" },
	{ 0xbad84902, "folio_unlock" },
	{ 0x789c0abe, "set_blocksize" },
	{ 0xc87b1ca7, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x1113db84, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf5359a9b, "dump_page" },
	{ 0x7a03d463, "dquot_get_state" },
	{ 0xd5130dc3, "init_special_inode" },
	{ 0x4cb46ba4, "unregister_filesystem" },
	{ 0x2f73b4b8, "mark_buffer_dirty" },
	{ 0x55e2fff6, "__find_get_block" },
	{ 0x34cbc8f8, "__block_write_begin" },
	{ 0xb9ec8141, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4d70b147, "__blockdev_direct_IO" },
	{ 0xd955791c, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x7dcbf9e8, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x975269c2, "sb_set_blocksize" },
	{ 0xa2bfb21c, "write_dirty_buffer" },
	{ 0x52af083e, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6166f994, "d_splice_alias" },
	{ 0xf121b494, "current_time" },
	{ 0xe5f0e4b8, "folio_zero_new_buffers" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8e4d41d8, "ihold" },
	{ 0xea63851f, "page_get_link" },
	{ 0xa4130b02, "inode_dio_wait" },
	{ 0x6e987422, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbfc2cbc5, "read_cache_page" },
	{ 0xef8db637, "iput" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xfcbfaadd, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8e9b27e, "iter_file_splice_write" },
	{ 0x1aead3d6, "filemap_release_folio" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x616e0691, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xda448b22, "flush_dcache_folio" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x86d1a96, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9a8cdd6b, "register_filesystem" },
	{ 0x66b33b4b, "dquot_transfer" },
	{ 0x1a5b8a27, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x730ea8e9, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xe3f48041, "submit_bh" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0xb3d88478, "inode_get_bytes" },
	{ 0x9c101c02, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4c4b7697, "inode_newsize_ok" },
	{ 0xeba34b18, "kill_block_super" },
	{ 0x49e2cbf2, "mnt_want_write_file" },
	{ 0xa46be95c, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x181858ba, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb9277edf, "generic_cont_expand_simple" },
	{ 0xf7205322, "make_kuid" },
	{ 0xaf80c75d, "try_to_free_buffers" },
	{ 0xe7d8fed1, "create_empty_buffers" },
	{ 0xf7af0640, "truncate_inode_pages_final" },
	{ 0x16b92a64, "generic_file_mmap" },
	{ 0x21f080fc, "sync_mapping_buffers" },
	{ 0x1d66f2e4, "dquot_initialize" },
	{ 0xcdd9c296, "dquot_quota_on" },
	{ 0xda5127c8, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa4770c74, "xattr_full_name" },
	{ 0xd35737b9, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfaa3d71e, "mnt_drop_write_file" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x3e4b9939, "inode_init_once" },
	{ 0x72295aad, "file_write_and_wait_range" },
	{ 0xffb57786, "mark_buffer_async_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe7ef9795, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4e181edb, "dquot_set_dqblk" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x75298981, "__brelse" },
	{ 0xd76bc221, "posix_acl_create" },
	{ 0x96f77584, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc2f8f881, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0x5e6325f3, "generic_file_read_iter" },
	{ 0xf20c6b46, "unlock_page" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf1b9f81b, "set_cached_acl" },
	{ 0x963191d7, "blkdev_get_by_dev" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7ec1a736, "sync_dirty_buffer" },
	{ 0x2078653c, "__bh_read_batch" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xbedb5b48, "dquot_resume" },
	{ 0x3d6d012c, "setattr_copy" },
	{ 0x6d77583b, "proc_mkdir_data" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x345b9a84, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c296beb, "set_nlink" },
	{ 0x31e658c4, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dfbd727, "security_inode_init_security" },
	{ 0x9f94368c, "seq_putc" },
	{ 0x35226dac, "blkdev_get_by_path" },
	{ 0x7f82244b, "from_kgid" },
	{ 0x35eb4825, "__sync_dirty_buffer" },
	{ 0x6337a5f6, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xb2b76b66, "d_obtain_alias" },
	{ 0x7dd3567d, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e0ddd0d, "__bread_gfp" },
	{ 0xa74c4bbd, "block_dirty_folio" },
	{ 0x928f790f, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcd4574, "proc_mkdir" },
	{ 0x2acf5f88, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x73cb7065, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3ad363a9, "make_kgid" },
	{ 0xa48768ba, "d_delete" },
	{ 0xfeaf11be, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x1aa0eae0, "truncate_setsize" },
	{ 0xf684bd8d, "insert_inode_locked4" },
	{ 0x9794c3b0, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcc01a237, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x548f6121, "redirty_page_for_writepage" },
	{ 0xe7e1d2b2, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe59c3ef6, "unlock_buffer" },
	{ 0x607ad300, "igrab" },
	{ 0x6165dde5, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x95bb8811, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x32300ffa, "d_instantiate_new" },
	{ 0x810268ad, "__dquot_free_space" },
	{ 0xd5a89fa9, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x37a5c6a0, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x606ad5df, "mpage_readahead" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xe6e84987, "init_user_ns" },
	{ 0xde1bce56, "simple_rename_timestamp" },
	{ 0x929fce7a, "inode_set_ctime_current" },
	{ 0xdb61db0a, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xff6c4412, "__folio_put" },
	{ 0xf51eefe1, "remove_proc_entry" },
	{ 0x53f4d75a, "dquot_quota_off" },
	{ 0x8c91926d, "seq_printf" },
	{ 0xfa17715e, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x60a0a7b, "__lock_buffer" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xf9e21569, "posix_acl_update_mode" },
	{ 0x4cc660a2, "__folio_lock" },
	{ 0x81e54588, "dquot_quota_on_mount" },
	{ 0xc638aa0f, "filemap_dirty_folio" },
	{ 0x532d0d28, "pagecache_get_page" },
	{ 0x6f8b738e, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa274b5ee, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x26c0d878, "seq_puts" },
	{ 0xba0526c8, "dquot_mark_dquot_dirty" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf77abc9e, "dquot_get_next_id" },
	{ 0x49c1e73f, "dquot_file_open" },
	{ 0x4826ea94, "filemap_splice_read" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x498d9318, "proc_create_single_data" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xae72f04, "iget5_locked" },
	{ 0xf486d9e4, "d_set_d_op" },
	{ 0xd90de63c, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0xb9c8722, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x50e7a8f2, "dquot_writeback_dquots" },
	{ 0x4737b8c8, "__mark_inode_dirty" },
	{ 0xb52e7deb, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1981a5b, "make_bad_inode" },
	{ 0x53b954a2, "up_read" },
	{ 0x82252d11, "drop_nlink" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0xbc1a620a, "dquot_destroy" },
	{ 0xe6538b67, "dquot_alloc" },
	{ 0x8e9f65cc, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "94EA7D47ABF30BFEA08A7F4");
