#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x58e88b8a, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x6a3341ea, "");
SYMBOL_CRC(dccp_v4_send_check, 0xb1a025ea, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x8036ffde, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xbfdfe8f9, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x25819203, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x6403a870, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xd190a674, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe93d80cb, "__inet_lookup_established" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc7a809c9, "inet_bhash2_reset_saddr" },
	{ 0xf26359b9, "inet_csk_addr2sockaddr" },
	{ 0xcdb9af95, "inet_unregister_protosw" },
	{ 0x7186a0fb, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15bc1b9e, "dccp_shutdown" },
	{ 0xab30700, "inet_bhash2_update_saddr" },
	{ 0xa6c64d6a, "dccp_connect" },
	{ 0xd4deccb9, "dccp_rcv_state_process" },
	{ 0x5b2e8d99, "dccp_reqsk_send_ack" },
	{ 0x16cd1d61, "inet_lookup_reuseport" },
	{ 0x5c637202, "__inet_lookup_listener" },
	{ 0x4b7f1cff, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x73ad6094, "sock_common_getsockopt" },
	{ 0xa25ab99, "inet_bind" },
	{ 0xa52720d4, "__inet_inherit_port" },
	{ 0x470a0628, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xd75a8c8c, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x87855f52, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xce0023bb, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8cf58520, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xcfcb5822, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xda101b98, "sk_error_report" },
	{ 0xc2d8f7f0, "register_pernet_subsys" },
	{ 0x2fa2862e, "inet_ehash_nolisten" },
	{ 0x122c3a7e, "_printk" },
	{ 0x35b10bfb, "inet_getname" },
	{ 0x2b48b684, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x3191be81, "proto_unregister" },
	{ 0x79524334, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x80b86c78, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x78834e3d, "dccp_done" },
	{ 0x174d203b, "inet_release" },
	{ 0xa07bb90f, "__sk_dst_check" },
	{ 0x309f2bf1, "dccp_disconnect" },
	{ 0xf0868b5b, "ip_route_output_key_hash" },
	{ 0x87c2243f, "proto_register" },
	{ 0x76fd814a, "inet_hash" },
	{ 0x2150ec34, "__sk_receive_skb" },
	{ 0x99b07660, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x63115109, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd77ff845, "inet_csk_get_port" },
	{ 0xb5776205, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x649aa649, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x87c49143, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6d5265d3, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x3b6127b9, "inet_add_protocol" },
	{ 0x32e00f3b, "inet_shutdown" },
	{ 0x355f7003, "sk_free" },
	{ 0x88ab5958, "dccp_close" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0xf9e02096, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x2e039058, "inet_hash_connect" },
	{ 0x31e658c4, "kmem_cache_free" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x55205f6, "inet_csk_route_child_sock" },
	{ 0xcfa81092, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0x81cd7c0a, "inet_csk_update_pmtu" },
	{ 0x706a221b, "dccp_getsockopt" },
	{ 0x894fd8fb, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2f7b8b91, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x961c28ad, "skb_checksum" },
	{ 0xba76290, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc1df792, "sock_no_mmap" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0xcd1d10a1, "dccp_child_process" },
	{ 0x4216ed35, "sock_common_recvmsg" },
	{ 0x70d0a394, "dccp_setsockopt" },
	{ 0x1a3e307a, "dccp_ioctl" },
	{ 0xd28cecc0, "inet_sk_rebuild_header" },
	{ 0x55425b58, "inet_del_protocol" },
	{ 0xd8e14f71, "dccp_recvmsg" },
	{ 0xd0aa24b1, "inet_sendmsg" },
	{ 0x6a379a87, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfa123372, "dccp_create_openreq_child" },
	{ 0xd1a9c4e9, "inet_csk_prepare_forced_close" },
	{ 0xbcad9dab, "security_skb_classify_flow" },
	{ 0x9ae4face, "sock_pfree" },
	{ 0x52b26568, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x961989fd, "dccp_send_sync" },
	{ 0xef84c76b, "dst_release" },
	{ 0x28e86a4d, "sock_release" },
	{ 0x91dae025, "dccp_make_response" },
	{ 0x49659a7e, "dccp_destroy_sock" },
	{ 0x1ca34ae4, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5a5674d4, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6958f751, "sk_setup_caps" },
	{ 0xfd4e824, "ip_build_and_send_pkt" },
	{ 0x15dd20aa, "dccp_sendmsg" },
	{ 0x9703c06f, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x24d08d77, "inet_twsk_put" },
	{ 0xf74983af, "inet_unhash" },
	{ 0x5c0075dd, "ip_getsockopt" },
	{ 0xda03cbb9, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x78052368, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xb61c07b9, "inet_csk_reqsk_queue_drop" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");
