#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x0f95b4f5, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x88f9ae9d, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x40228121, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x7be5fc40, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xb26394d9, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xb0a1780f, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xc7abd541, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x8f53745d, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x6bb3ac63, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x7213f1f9, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x9f4c0184, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xd586a19b, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xa3ecfec0, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xda765a2b, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x261b5660, "");
SYMBOL_CRC(nf_nat_follow_master, 0xdeb1b556, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xfb1faa26, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xd118d647, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xc3e87f39, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xf3493763, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x22d86e48, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x764b3165, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f96f427, "nf_ct_ext_add" },
	{ 0x8ec86a80, "__do_once_done" },
	{ 0xa8adee4d, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2d20602c, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf5f8d942, "nf_ip6_checksum" },
	{ 0x57c215e, "skb_copy_bits" },
	{ 0xa11471b7, "nf_hook_entries_insert_raw" },
	{ 0xee2233d5, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x63a5fd58, "nf_ct_seqadj_set" },
	{ 0x7406d153, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x319fe6e3, "nf_ct_helper_expectfn_unregister" },
	{ 0x544959ac, "__xfrm_decode_session" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x530ad137, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x6fdacbe1, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0xc2d8f7f0, "register_pernet_subsys" },
	{ 0x1f1e2a41, "nf_conntrack_tuple_taken" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x7784e8b8, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd8912c7b, "ipv6_skip_exthdr" },
	{ 0x5a9f689c, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x893f38f5, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x99553747, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x94241d3c, "nf_ct_expect_related_report" },
	{ 0xe9be582c, "nf_conntrack_alter_reply" },
	{ 0x3875c707, "ip_route_me_harder" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2b60f678, "nf_hook_entries_delete_raw" },
	{ 0x7ad59cea, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x78575963, "nf_unregister_net_hooks" },
	{ 0x714a18ed, "inet_select_addr" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2f7b8b91, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x961c28ad, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6fb8d499, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x9682e800, "nf_ip_checksum" },
	{ 0xe391cf82, "register_btf_kfunc_id_set" },
	{ 0x6e83b4a8, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xbb374a28, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc000fbcb, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ca0dd55, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x75272c5a, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xef84c76b, "dst_release" },
	{ 0x4d27f594, "nf_ct_l4proto_find" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41017715, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28fac894, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E9A79191FDE7BC0117A1462");
