#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xec2bd276, "");
SYMBOL_CRC(tipc_dump_start, 0x86dc01f6, "");
SYMBOL_CRC(tipc_dump_done, 0x1193fe7f, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x4a8bc321, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b7c1a03, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xf2d06e1f, "sock_i_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4cac5836, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe384d9d5, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7406d153, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2adf87b4, "ip6_dst_hoplimit" },
	{ 0xea42bc06, "trace_output_call" },
	{ 0x459be4e5, "consume_skb" },
	{ 0xb4043f78, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x92c4409f, "trace_raw_output_prep" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0xd4c12047, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc6b7c905, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xdf5f112e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x8d3ca6f4, "__ip_dev_find" },
	{ 0x361133eb, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x155ffd38, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa9fa2cb9, "genlmsg_put" },
	{ 0xbb8fde4b, "___pskb_trim" },
	{ 0x59e6b457, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x468a2bdb, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xc16f0624, "netdev_warn" },
	{ 0x69b7255d, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe68a55e4, "crypto_aead_decrypt" },
	{ 0x143d473c, "kernel_accept" },
	{ 0xc048b3ab, "__module_get" },
	{ 0x8cf58520, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe101a84a, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdfc4fba5, "__pskb_copy_fclone" },
	{ 0x5cbcf7f2, "pskb_expand_head" },
	{ 0xc2d8f7f0, "register_pernet_subsys" },
	{ 0xdce9eb8d, "put_cmsg" },
	{ 0xaf41fb19, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5837febc, "trace_event_buffer_commit" },
	{ 0x798f206b, "register_net_sysctl_sz" },
	{ 0x70eb6e67, "crypto_destroy_tfm" },
	{ 0xf0947fa6, "eth_type_trans" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x3191be81, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6bdca72b, "sock_register" },
	{ 0xa7db3990, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd05cfb33, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x89b84da3, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xc628d485, "skb_try_coalesce" },
	{ 0x87c2243f, "proto_register" },
	{ 0xc9a62a99, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2a9c0be8, "skb_queue_tail" },
	{ 0x893f38f5, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xea19aeb0, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5606c6d5, "__dev_get_by_index" },
	{ 0x9f8ecbcd, "perf_trace_run_bpf_submit" },
	{ 0xcbc15bdb, "__traceiter_sk_data_ready" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3fc1d995, "init_net" },
	{ 0x25f8edd3, "ipv6_stub" },
	{ 0x559ccc9c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f6dc10, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x736809e8, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x546cb6f, "dev_remove_pack" },
	{ 0x355f7003, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xcb8f3fa9, "kfree_skb_reason" },
	{ 0x3257b093, "kernel_sock_shutdown" },
	{ 0x9dcf73bd, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xbb9e2b5b, "skb_push" },
	{ 0xe24c2757, "dst_cache_get" },
	{ 0xf31111bb, "sock_no_listen" },
	{ 0x12e5e082, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xd17b32cf, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2a257685, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc8e3c2bd, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x83ffa521, "rhashtable_walk_start_check" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xb68a5794, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7798cb64, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9a0527ff, "skb_copy_datagram_iter" },
	{ 0x390775ed, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x2e9ff725, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x2f7b8b91, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x18c7efca, "kfree_skb_partial" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0x7339bf21, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xc1df792, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xb4ef474c, "__pskb_pull_tail" },
	{ 0xf3fcfcc2, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xe37da31b, "setup_udp_tunnel_sock" },
	{ 0x945c6bf7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x299f9a8, "skb_trim" },
	{ 0x668a9436, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e672f87, "bpf_trace_run3" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5dd40a30, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe334b4fd, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x35d8d4f7, "kernel_listen" },
	{ 0x4036ee6, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe4438c78, "trace_event_buffer_reserve" },
	{ 0xb00237f4, "dev_nit_active" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x78f3a8eb, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xab5d0a1, "dst_cache_set_ip6" },
	{ 0x704ba921, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe235740b, "udp_tunnel_xmit_skb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f01c51, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7b929dc5, "skb_copy" },
	{ 0xf3a66e36, "skb_clone" },
	{ 0x12c9c682, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfd71ff07, "_copy_from_iter" },
	{ 0x28e86a4d, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xffae3c24, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xea954e7, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf328d162, "sk_stop_timer" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xa07b4e9a, "genl_unregister_family" },
	{ 0x26c4c7bb, "from_kuid_munged" },
	{ 0xb45d1309, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xbfbf4828, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0xd1342065, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e85b8, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa0c920a, "skb_to_sgvec" },
	{ 0x2d9a1601, "rhashtable_walk_exit" },
	{ 0x5b292bf5, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa20894a4, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9479efbc, "kmalloc_caches" },
	{ 0x3a2b6bef, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x115d92be, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F2E94824743E0E660FF0C24");
